
;CodeVisionAVR C Compiler V2.05.3 Standard
;(C) Copyright 1998-2011 Pavel Haiduc, HP InfoTech s.r.l.
;http://www.hpinfotech.com

;Chip type                : ATmega128
;Program type             : Application
;Clock frequency          : 16,000000 MHz
;Memory model             : Small
;Optimize for             : Speed
;(s)printf features       : int, width
;(s)scanf features        : int, width
;External RAM size        : 0
;Data Stack size          : 1024 byte(s)
;Heap size                : 0 byte(s)
;Promote 'char' to 'int'  : Yes
;'char' is unsigned       : Yes
;8 bit enums              : Yes
;Global 'const' stored in FLASH     : No
;Enhanced function parameter passing: Yes
;Enhanced core instructions         : On
;Smart register allocation          : On
;Automatic register allocation      : On

	#pragma AVRPART ADMIN PART_NAME ATmega128
	#pragma AVRPART MEMORY PROG_FLASH 131072
	#pragma AVRPART MEMORY EEPROM 4096
	#pragma AVRPART MEMORY INT_SRAM SIZE 4351
	#pragma AVRPART MEMORY INT_SRAM START_ADDR 0x100

	#define CALL_SUPPORTED 1

	.LISTMAC
	.EQU UDRE=0x5
	.EQU RXC=0x7
	.EQU USR=0xB
	.EQU UDR=0xC
	.EQU SPSR=0xE
	.EQU SPDR=0xF
	.EQU EERE=0x0
	.EQU EEWE=0x1
	.EQU EEMWE=0x2
	.EQU EECR=0x1C
	.EQU EEDR=0x1D
	.EQU EEARL=0x1E
	.EQU EEARH=0x1F
	.EQU WDTCR=0x21
	.EQU MCUCR=0x35
	.EQU RAMPZ=0x3B
	.EQU SPL=0x3D
	.EQU SPH=0x3E
	.EQU SREG=0x3F
	.EQU XMCRA=0x6D
	.EQU XMCRB=0x6C

	.DEF R0X0=R0
	.DEF R0X1=R1
	.DEF R0X2=R2
	.DEF R0X3=R3
	.DEF R0X4=R4
	.DEF R0X5=R5
	.DEF R0X6=R6
	.DEF R0X7=R7
	.DEF R0X8=R8
	.DEF R0X9=R9
	.DEF R0XA=R10
	.DEF R0XB=R11
	.DEF R0XC=R12
	.DEF R0XD=R13
	.DEF R0XE=R14
	.DEF R0XF=R15
	.DEF R0X10=R16
	.DEF R0X11=R17
	.DEF R0X12=R18
	.DEF R0X13=R19
	.DEF R0X14=R20
	.DEF R0X15=R21
	.DEF R0X16=R22
	.DEF R0X17=R23
	.DEF R0X18=R24
	.DEF R0X19=R25
	.DEF R0X1A=R26
	.DEF R0X1B=R27
	.DEF R0X1C=R28
	.DEF R0X1D=R29
	.DEF R0X1E=R30
	.DEF R0X1F=R31

	.EQU __SRAM_START=0x0100
	.EQU __SRAM_END=0x10FF
	.EQU __DSTACK_SIZE=0x0400
	.EQU __HEAP_SIZE=0x0000
	.EQU __CLEAR_SRAM_SIZE=__SRAM_END-__SRAM_START+1

	.MACRO __CPD1N
	CPI  R30,LOW(@0)
	LDI  R26,HIGH(@0)
	CPC  R31,R26
	LDI  R26,BYTE3(@0)
	CPC  R22,R26
	LDI  R26,BYTE4(@0)
	CPC  R23,R26
	.ENDM

	.MACRO __CPD2N
	CPI  R26,LOW(@0)
	LDI  R30,HIGH(@0)
	CPC  R27,R30
	LDI  R30,BYTE3(@0)
	CPC  R24,R30
	LDI  R30,BYTE4(@0)
	CPC  R25,R30
	.ENDM

	.MACRO __CPWRR
	CP   R@0,R@2
	CPC  R@1,R@3
	.ENDM

	.MACRO __CPWRN
	CPI  R@0,LOW(@2)
	LDI  R30,HIGH(@2)
	CPC  R@1,R30
	.ENDM

	.MACRO __ADDB1MN
	SUBI R30,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDB2MN
	SUBI R26,LOW(-@0-(@1))
	.ENDM

	.MACRO __ADDW1MN
	SUBI R30,LOW(-@0-(@1))
	SBCI R31,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW2MN
	SUBI R26,LOW(-@0-(@1))
	SBCI R27,HIGH(-@0-(@1))
	.ENDM

	.MACRO __ADDW1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1FN
	SUBI R30,LOW(-2*@0-(@1))
	SBCI R31,HIGH(-2*@0-(@1))
	SBCI R22,BYTE3(-2*@0-(@1))
	.ENDM

	.MACRO __ADDD1N
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	SBCI R22,BYTE3(-@0)
	SBCI R23,BYTE4(-@0)
	.ENDM

	.MACRO __ADDD2N
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	SBCI R24,BYTE3(-@0)
	SBCI R25,BYTE4(-@0)
	.ENDM

	.MACRO __SUBD1N
	SUBI R30,LOW(@0)
	SBCI R31,HIGH(@0)
	SBCI R22,BYTE3(@0)
	SBCI R23,BYTE4(@0)
	.ENDM

	.MACRO __SUBD2N
	SUBI R26,LOW(@0)
	SBCI R27,HIGH(@0)
	SBCI R24,BYTE3(@0)
	SBCI R25,BYTE4(@0)
	.ENDM

	.MACRO __ANDBMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ANDWMNN
	LDS  R30,@0+(@1)
	ANDI R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ANDI R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ANDD1N
	ANDI R30,LOW(@0)
	ANDI R31,HIGH(@0)
	ANDI R22,BYTE3(@0)
	ANDI R23,BYTE4(@0)
	.ENDM

	.MACRO __ANDD2N
	ANDI R26,LOW(@0)
	ANDI R27,HIGH(@0)
	ANDI R24,BYTE3(@0)
	ANDI R25,BYTE4(@0)
	.ENDM

	.MACRO __ORBMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	.ENDM

	.MACRO __ORWMNN
	LDS  R30,@0+(@1)
	ORI  R30,LOW(@2)
	STS  @0+(@1),R30
	LDS  R30,@0+(@1)+1
	ORI  R30,HIGH(@2)
	STS  @0+(@1)+1,R30
	.ENDM

	.MACRO __ORD1N
	ORI  R30,LOW(@0)
	ORI  R31,HIGH(@0)
	ORI  R22,BYTE3(@0)
	ORI  R23,BYTE4(@0)
	.ENDM

	.MACRO __ORD2N
	ORI  R26,LOW(@0)
	ORI  R27,HIGH(@0)
	ORI  R24,BYTE3(@0)
	ORI  R25,BYTE4(@0)
	.ENDM

	.MACRO __DELAY_USB
	LDI  R24,LOW(@0)
__DELAY_USB_LOOP:
	DEC  R24
	BRNE __DELAY_USB_LOOP
	.ENDM

	.MACRO __DELAY_USW
	LDI  R24,LOW(@0)
	LDI  R25,HIGH(@0)
__DELAY_USW_LOOP:
	SBIW R24,1
	BRNE __DELAY_USW_LOOP
	.ENDM

	.MACRO __GETD1S
	LDD  R30,Y+@0
	LDD  R31,Y+@0+1
	LDD  R22,Y+@0+2
	LDD  R23,Y+@0+3
	.ENDM

	.MACRO __GETD2S
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	LDD  R24,Y+@0+2
	LDD  R25,Y+@0+3
	.ENDM

	.MACRO __PUTD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R31
	STD  Y+@0+2,R22
	STD  Y+@0+3,R23
	.ENDM

	.MACRO __PUTD2S
	STD  Y+@0,R26
	STD  Y+@0+1,R27
	STD  Y+@0+2,R24
	STD  Y+@0+3,R25
	.ENDM

	.MACRO __PUTDZ2
	STD  Z+@0,R26
	STD  Z+@0+1,R27
	STD  Z+@0+2,R24
	STD  Z+@0+3,R25
	.ENDM

	.MACRO __CLRD1S
	STD  Y+@0,R30
	STD  Y+@0+1,R30
	STD  Y+@0+2,R30
	STD  Y+@0+3,R30
	.ENDM

	.MACRO __POINTB1MN
	LDI  R30,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW1MN
	LDI  R30,LOW(@0+(@1))
	LDI  R31,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTD1M
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __POINTW1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	.ENDM

	.MACRO __POINTD1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	LDI  R22,BYTE3(2*@0+(@1))
	LDI  R23,BYTE4(2*@0+(@1))
	.ENDM

	.MACRO __POINTB2MN
	LDI  R26,LOW(@0+(@1))
	.ENDM

	.MACRO __POINTW2MN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	.ENDM

	.MACRO __POINTW2FN
	LDI  R26,LOW(2*@0+(@1))
	LDI  R27,HIGH(2*@0+(@1))
	.ENDM

	.MACRO __POINTD2FN
	LDI  R26,LOW(2*@0+(@1))
	LDI  R27,HIGH(2*@0+(@1))
	LDI  R24,BYTE3(2*@0+(@1))
	LDI  R25,BYTE4(2*@0+(@1))
	.ENDM

	.MACRO __POINTBRM
	LDI  R@0,LOW(@1)
	.ENDM

	.MACRO __POINTWRM
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __POINTBRMN
	LDI  R@0,LOW(@1+(@2))
	.ENDM

	.MACRO __POINTWRMN
	LDI  R@0,LOW(@2+(@3))
	LDI  R@1,HIGH(@2+(@3))
	.ENDM

	.MACRO __POINTWRFN
	LDI  R@0,LOW(@2*2+(@3))
	LDI  R@1,HIGH(@2*2+(@3))
	.ENDM

	.MACRO __GETD1N
	LDI  R30,LOW(@0)
	LDI  R31,HIGH(@0)
	LDI  R22,BYTE3(@0)
	LDI  R23,BYTE4(@0)
	.ENDM

	.MACRO __GETD2N
	LDI  R26,LOW(@0)
	LDI  R27,HIGH(@0)
	LDI  R24,BYTE3(@0)
	LDI  R25,BYTE4(@0)
	.ENDM

	.MACRO __GETB1MN
	LDS  R30,@0+(@1)
	.ENDM

	.MACRO __GETB1HMN
	LDS  R31,@0+(@1)
	.ENDM

	.MACRO __GETW1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	.ENDM

	.MACRO __GETD1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	LDS  R22,@0+(@1)+2
	LDS  R23,@0+(@1)+3
	.ENDM

	.MACRO __GETBRMN
	LDS  R@0,@1+(@2)
	.ENDM

	.MACRO __GETWRMN
	LDS  R@0,@2+(@3)
	LDS  R@1,@2+(@3)+1
	.ENDM

	.MACRO __GETWRZ
	LDD  R@0,Z+@2
	LDD  R@1,Z+@2+1
	.ENDM

	.MACRO __GETD2Z
	LDD  R26,Z+@0
	LDD  R27,Z+@0+1
	LDD  R24,Z+@0+2
	LDD  R25,Z+@0+3
	.ENDM

	.MACRO __GETB2MN
	LDS  R26,@0+(@1)
	.ENDM

	.MACRO __GETW2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	.ENDM

	.MACRO __GETD2MN
	LDS  R26,@0+(@1)
	LDS  R27,@0+(@1)+1
	LDS  R24,@0+(@1)+2
	LDS  R25,@0+(@1)+3
	.ENDM

	.MACRO __PUTB1MN
	STS  @0+(@1),R30
	.ENDM

	.MACRO __PUTW1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	.ENDM

	.MACRO __PUTD1MN
	STS  @0+(@1),R30
	STS  @0+(@1)+1,R31
	STS  @0+(@1)+2,R22
	STS  @0+(@1)+3,R23
	.ENDM

	.MACRO __PUTB1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRB
	.ENDM

	.MACRO __PUTW1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRW
	.ENDM

	.MACRO __PUTD1EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMWRD
	.ENDM

	.MACRO __PUTBR0MN
	STS  @0+(@1),R0
	.ENDM

	.MACRO __PUTBMRN
	STS  @0+(@1),R@2
	.ENDM

	.MACRO __PUTWMRN
	STS  @0+(@1),R@2
	STS  @0+(@1)+1,R@3
	.ENDM

	.MACRO __PUTBZR
	STD  Z+@1,R@0
	.ENDM

	.MACRO __PUTWZR
	STD  Z+@2,R@0
	STD  Z+@2+1,R@1
	.ENDM

	.MACRO __GETW1R
	MOV  R30,R@0
	MOV  R31,R@1
	.ENDM

	.MACRO __GETW2R
	MOV  R26,R@0
	MOV  R27,R@1
	.ENDM

	.MACRO __GETWRN
	LDI  R@0,LOW(@2)
	LDI  R@1,HIGH(@2)
	.ENDM

	.MACRO __PUTW1R
	MOV  R@0,R30
	MOV  R@1,R31
	.ENDM

	.MACRO __PUTW2R
	MOV  R@0,R26
	MOV  R@1,R27
	.ENDM

	.MACRO __ADDWRN
	SUBI R@0,LOW(-@2)
	SBCI R@1,HIGH(-@2)
	.ENDM

	.MACRO __ADDWRR
	ADD  R@0,R@2
	ADC  R@1,R@3
	.ENDM

	.MACRO __SUBWRN
	SUBI R@0,LOW(@2)
	SBCI R@1,HIGH(@2)
	.ENDM

	.MACRO __SUBWRR
	SUB  R@0,R@2
	SBC  R@1,R@3
	.ENDM

	.MACRO __ANDWRN
	ANDI R@0,LOW(@2)
	ANDI R@1,HIGH(@2)
	.ENDM

	.MACRO __ANDWRR
	AND  R@0,R@2
	AND  R@1,R@3
	.ENDM

	.MACRO __ORWRN
	ORI  R@0,LOW(@2)
	ORI  R@1,HIGH(@2)
	.ENDM

	.MACRO __ORWRR
	OR   R@0,R@2
	OR   R@1,R@3
	.ENDM

	.MACRO __EORWRR
	EOR  R@0,R@2
	EOR  R@1,R@3
	.ENDM

	.MACRO __GETWRS
	LDD  R@0,Y+@2
	LDD  R@1,Y+@2+1
	.ENDM

	.MACRO __PUTBSR
	STD  Y+@1,R@0
	.ENDM

	.MACRO __PUTWSR
	STD  Y+@2,R@0
	STD  Y+@2+1,R@1
	.ENDM

	.MACRO __MOVEWRR
	MOV  R@0,R@2
	MOV  R@1,R@3
	.ENDM

	.MACRO __INWR
	IN   R@0,@2
	IN   R@1,@2+1
	.ENDM

	.MACRO __OUTWR
	OUT  @2+1,R@1
	OUT  @2,R@0
	.ENDM

	.MACRO __CALL1MN
	LDS  R30,@0+(@1)
	LDS  R31,@0+(@1)+1
	ICALL
	.ENDM

	.MACRO __CALL1FN
	LDI  R30,LOW(2*@0+(@1))
	LDI  R31,HIGH(2*@0+(@1))
	CALL __GETW1PF
	ICALL
	.ENDM

	.MACRO __CALL2EN
	LDI  R26,LOW(@0+(@1))
	LDI  R27,HIGH(@0+(@1))
	CALL __EEPROMRDW
	ICALL
	.ENDM

	.MACRO __GETW1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X
	.ENDM

	.MACRO __GETD1STACK
	IN   R26,SPL
	IN   R27,SPH
	ADIW R26,@0+1
	LD   R30,X+
	LD   R31,X+
	LD   R22,X
	.ENDM

	.MACRO __NBST
	BST  R@0,@1
	IN   R30,SREG
	LDI  R31,0x40
	EOR  R30,R31
	OUT  SREG,R30
	.ENDM


	.MACRO __PUTB1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SN
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNS
	LDD  R26,Y+@0
	LDD  R27,Y+@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMN
	LDS  R26,@0
	LDS  R27,@0+1
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1PMNS
	LDS  R26,@0
	LDS  R27,@0+1
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RN
	MOVW R26,R@0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RNS
	MOVW R26,R@0
	ADIW R26,@1
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RNS
	MOVW R26,R@0
	ADIW R26,@1
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RON
	MOV  R26,R@0
	MOV  R27,R@1
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	CALL __PUTDP1
	.ENDM

	.MACRO __PUTB1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X,R30
	.ENDM

	.MACRO __PUTW1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1RONS
	MOV  R26,R@0
	MOV  R27,R@1
	ADIW R26,@2
	CALL __PUTDP1
	.ENDM


	.MACRO __GETB1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R30,Z
	.ENDM

	.MACRO __GETB1HSX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	.ENDM

	.MACRO __GETW1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R31,Z
	MOV  R30,R0
	.ENDM

	.MACRO __GETD1SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R0,Z+
	LD   R1,Z+
	LD   R22,Z+
	LD   R23,Z
	MOVW R30,R0
	.ENDM

	.MACRO __GETB2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R26,X
	.ENDM

	.MACRO __GETW2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	.ENDM

	.MACRO __GETD2SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R1,X+
	LD   R24,X+
	LD   R25,X
	MOVW R26,R0
	.ENDM

	.MACRO __GETBRSX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	LD   R@0,Z
	.ENDM

	.MACRO __GETWRSX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	LD   R@0,Z+
	LD   R@1,Z
	.ENDM

	.MACRO __GETBRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	LD   R@0,X
	.ENDM

	.MACRO __GETWRSX2
	MOVW R26,R28
	SUBI R26,LOW(-@2)
	SBCI R27,HIGH(-@2)
	LD   R@0,X+
	LD   R@1,X
	.ENDM

	.MACRO __LSLW8SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	LD   R31,Z
	CLR  R30
	.ENDM

	.MACRO __PUTB1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __CLRW1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __CLRD1SX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	ST   X+,R30
	ST   X+,R30
	ST   X+,R30
	ST   X,R30
	.ENDM

	.MACRO __PUTB2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z,R26
	.ENDM

	.MACRO __PUTW2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z,R27
	.ENDM

	.MACRO __PUTD2SX
	MOVW R30,R28
	SUBI R30,LOW(-@0)
	SBCI R31,HIGH(-@0)
	ST   Z+,R26
	ST   Z+,R27
	ST   Z+,R24
	ST   Z,R25
	.ENDM

	.MACRO __PUTBSRX
	MOVW R30,R28
	SUBI R30,LOW(-@1)
	SBCI R31,HIGH(-@1)
	ST   Z,R@0
	.ENDM

	.MACRO __PUTWSRX
	MOVW R30,R28
	SUBI R30,LOW(-@2)
	SBCI R31,HIGH(-@2)
	ST   Z+,R@0
	ST   Z,R@1
	.ENDM

	.MACRO __PUTB1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X,R30
	.ENDM

	.MACRO __PUTW1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X,R31
	.ENDM

	.MACRO __PUTD1SNX
	MOVW R26,R28
	SUBI R26,LOW(-@0)
	SBCI R27,HIGH(-@0)
	LD   R0,X+
	LD   R27,X
	MOV  R26,R0
	SUBI R26,LOW(-@1)
	SBCI R27,HIGH(-@1)
	ST   X+,R30
	ST   X+,R31
	ST   X+,R22
	ST   X,R23
	.ENDM

	.MACRO __MULBRR
	MULS R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRRU
	MUL  R@0,R@1
	MOVW R30,R0
	.ENDM

	.MACRO __MULBRR0
	MULS R@0,R@1
	.ENDM

	.MACRO __MULBRRU0
	MUL  R@0,R@1
	.ENDM

	.MACRO __MULBNWRU
	LDI  R26,@2
	MUL  R26,R@0
	MOVW R30,R0
	MUL  R26,R@1
	ADD  R31,R0
	.ENDM

	.CSEG
	.ORG 0x00

;START OF CODE MARKER
__START_OF_CODE:

;INTERRUPT VECTORS
	JMP  __RESET
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00
	JMP  0x00

_font:
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x7E,0x81,0xA5,0x81,0x81,0xBD,0x99,0x81
	.DB  0x7E,0x0,0x0,0x0,0x0,0x0,0x7E,0xFF
	.DB  0xDB,0xFF,0xFF,0xC3,0xE7,0xFF,0x7E,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x6C,0xFE,0xFE
	.DB  0xFE,0xFE,0x7C,0x38,0x10,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x10,0x38,0x7C,0xFE,0x7C
	.DB  0x38,0x10,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x18,0x3C,0x3C,0xE7,0xE7,0xE7,0x18,0x18
	.DB  0x3C,0x0,0x0,0x0,0x0,0x0,0x18,0x3C
	.DB  0x7E,0xFF,0xFF,0x7E,0x18,0x18,0x3C,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x18
	.DB  0x3C,0x3C,0x18,0x0,0x0,0x0,0x0,0x0
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xE7,0xC3,0xC3
	.DB  0xE7,0xFF,0xFF,0xFF,0xFF,0xFF,0x0,0x0
	.DB  0x0,0x0,0x3C,0x66,0x42,0x42,0x66,0x3C
	.DB  0x0,0x0,0x0,0x0,0xFF,0xFF,0xFF,0xFF
	.DB  0xC3,0x99,0xBD,0xBD,0x99,0xC3,0xFF,0xFF
	.DB  0xFF,0xFF,0x0,0x0,0x1E,0xE,0x1A,0x32
	.DB  0x78,0xCC,0xCC,0xCC,0x78,0x0,0x0,0x0
	.DB  0x0,0x0,0x3C,0x66,0x66,0x66,0x3C,0x18
	.DB  0x7E,0x18,0x18,0x0,0x0,0x0,0x0,0x0
	.DB  0x3F,0x33,0x3F,0x30,0x30,0x30,0x70,0xF0
	.DB  0xE0,0x0,0x0,0x0,0x0,0x0,0x7F,0x63
	.DB  0x7F,0x63,0x63,0x63,0x67,0xE7,0xE6,0xC0
	.DB  0x0,0x0,0x0,0x0,0x18,0x18,0xDB,0x3C
	.DB  0xE7,0x3C,0xDB,0x18,0x18,0x0,0x0,0x0
	.DB  0x0,0x0,0x80,0xC0,0xE0,0xF8,0xFE,0xF8
	.DB  0xE0,0xC0,0x80,0x0,0x0,0x0,0x0,0x0
	.DB  0x2,0x6,0xE,0x3E,0xFE,0x3E,0xE,0x6
	.DB  0x2,0x0,0x0,0x0,0x0,0x0,0x18,0x3C
	.DB  0x7E,0x18,0x18,0x18,0x7E,0x3C,0x18,0x0
	.DB  0x0,0x0,0x0,0x0,0x66,0x66,0x66,0x66
	.DB  0x66,0x66,0x0,0x66,0x66,0x0,0x0,0x0
	.DB  0x0,0x0,0x7F,0xDB,0xDB,0xDB,0x7B,0x1B
	.DB  0x1B,0x1B,0x1B,0x0,0x0,0x0,0x0,0x7C
	.DB  0xC6,0x60,0x38,0x6C,0xC6,0xC6,0x6C,0x38
	.DB  0xC,0xC6,0x7C,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0xFE,0xFE,0xFE,0x0
	.DB  0x0,0x0,0x0,0x0,0x18,0x3C,0x7E,0x18
	.DB  0x18,0x18,0x7E,0x3C,0x18,0x7E,0x0,0x0
	.DB  0x0,0x0,0x18,0x3C,0x7E,0x18,0x18,0x18
	.DB  0x18,0x18,0x18,0x0,0x0,0x0,0x0,0x0
	.DB  0x18,0x18,0x18,0x18,0x18,0x18,0x7E,0x3C
	.DB  0x18,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x18,0xC,0xFE,0xC,0x18,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x30,0x60
	.DB  0xFE,0x60,0x30,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0xC0,0xC0,0xC0
	.DB  0xFE,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x28,0x6C,0xFE,0x6C,0x28,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x10
	.DB  0x38,0x38,0x7C,0x7C,0xFE,0xFE,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0xFE,0xFE,0x7C
	.DB  0x7C,0x38,0x38,0x10,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x18,0x3C,0x3C,0x3C,0x18,0x18,0x0,0x18
	.DB  0x18,0x0,0x0,0x0,0x0,0x66,0x66,0x66
	.DB  0x24,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x6C,0x6C,0xFE,0x6C
	.DB  0x6C,0x6C,0xFE,0x6C,0x6C,0x0,0x0,0x0
	.DB  0x18,0x18,0x7C,0xC6,0xC2,0xC0,0x7C,0x6
	.DB  0x86,0xC6,0x7C,0x18,0x18,0x0,0x0,0x0
	.DB  0x0,0x0,0xC2,0xC6,0xC,0x18,0x30,0x66
	.DB  0xC6,0x0,0x0,0x0,0x0,0x0,0x38,0x6C
	.DB  0x6C,0x38,0x76,0xDC,0xCC,0xCC,0x76,0x0
	.DB  0x0,0x0,0x0,0x30,0x30,0x30,0x60,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0xC,0x18,0x30,0x30,0x30,0x30
	.DB  0x30,0x18,0xC,0x0,0x0,0x0,0x0,0x0
	.DB  0x30,0x18,0xC,0xC,0xC,0xC,0xC,0x18
	.DB  0x30,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x66,0x3C,0xFF,0x3C,0x66,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x18,0x18
	.DB  0x7E,0x18,0x18,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x18,0x18,0x18,0x30,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0xFE,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x18,0x18,0x0
	.DB  0x0,0x0,0x0,0x0,0x2,0x6,0xC,0x18
	.DB  0x30,0x60,0xC0,0x80,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x7C,0xC6,0xCE,0xDE,0xF6,0xE6
	.DB  0xC6,0xC6,0x7C,0x0,0x0,0x0,0x0,0x0
	.DB  0x18,0x38,0x78,0x18,0x18,0x18,0x18,0x18
	.DB  0x7E,0x0,0x0,0x0,0x0,0x0,0x7C,0xC6
	.DB  0x6,0xC,0x18,0x30,0x60,0xC6,0xFE,0x0
	.DB  0x0,0x0,0x0,0x0,0x7C,0xC6,0x6,0x6
	.DB  0x3C,0x6,0x6,0xC6,0x7C,0x0,0x0,0x0
	.DB  0x0,0x0,0xC,0x1C,0x3C,0x6C,0xCC,0xFE
	.DB  0xC,0xC,0x1E,0x0,0x0,0x0,0x0,0x0
	.DB  0xFE,0xC0,0xC0,0xC0,0xFC,0x6,0x6,0xC6
	.DB  0x7C,0x0,0x0,0x0,0x0,0x0,0x38,0x60
	.DB  0xC0,0xC0,0xFC,0xC6,0xC6,0xC6,0x7C,0x0
	.DB  0x0,0x0,0x0,0x0,0xFE,0xC6,0x6,0xC
	.DB  0x18,0x30,0x30,0x30,0x30,0x0,0x0,0x0
	.DB  0x0,0x0,0x7C,0xC6,0xC6,0xC6,0x7C,0xC6
	.DB  0xC6,0xC6,0x7C,0x0,0x0,0x0,0x0,0x0
	.DB  0x7C,0xC6,0xC6,0xC6,0x7E,0x6,0x6,0xC
	.DB  0x78,0x0,0x0,0x0,0x0,0x0,0x0,0x18
	.DB  0x18,0x0,0x0,0x0,0x18,0x18,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x18,0x18,0x0
	.DB  0x0,0x0,0x18,0x18,0x30,0x0,0x0,0x0
	.DB  0x0,0x0,0x6,0xC,0x18,0x30,0x60,0x30
	.DB  0x18,0xC,0x6,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x7E,0x0,0x0,0x7E,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x60,0x30
	.DB  0x18,0xC,0x6,0xC,0x18,0x30,0x60,0x0
	.DB  0x0,0x0,0x0,0x0,0x7C,0xC6,0xC6,0xC
	.DB  0x18,0x18,0x0,0x18,0x18,0x0,0x0,0x0
	.DB  0x0,0x0,0x7C,0xC6,0xC6,0xDE,0xDE,0xDE
	.DB  0xDC,0xC0,0x7C,0x0,0x0,0x0,0x0,0x0
	.DB  0x10,0x38,0x6C,0xC6,0xC6,0xFE,0xC6,0xC6
	.DB  0xC6,0x0,0x0,0x0,0x0,0x0,0xFC,0x66
	.DB  0x66,0x66,0x7C,0x66,0x66,0x66,0xFC,0x0
	.DB  0x0,0x0,0x0,0x0,0x3C,0x66,0xC2,0xC0
	.DB  0xC0,0xC0,0xC2,0x66,0x3C,0x0,0x0,0x0
	.DB  0x0,0x0,0xF8,0x6C,0x66,0x66,0x66,0x66
	.DB  0x66,0x6C,0xF8,0x0,0x0,0x0,0x0,0x0
	.DB  0xFE,0x66,0x62,0x68,0x78,0x68,0x62,0x66
	.DB  0xFE,0x0,0x0,0x0,0x0,0x0,0xFE,0x66
	.DB  0x62,0x68,0x78,0x68,0x60,0x60,0xF0,0x0
	.DB  0x0,0x0,0x0,0x0,0x3C,0x66,0xC2,0xC0
	.DB  0xC0,0xDE,0xC6,0x66,0x3A,0x0,0x0,0x0
	.DB  0x0,0x0,0xC6,0xC6,0xC6,0xC6,0xFE,0xC6
	.DB  0xC6,0xC6,0xC6,0x0,0x0,0x0,0x0,0x0
	.DB  0x3C,0x18,0x18,0x18,0x18,0x18,0x18,0x18
	.DB  0x3C,0x0,0x0,0x0,0x0,0x0,0x1E,0xC
	.DB  0xC,0xC,0xC,0xC,0xCC,0xCC,0x78,0x0
	.DB  0x0,0x0,0x0,0x0,0xE6,0x66,0x6C,0x6C
	.DB  0x78,0x6C,0x6C,0x66,0xE6,0x0,0x0,0x0
	.DB  0x0,0x0,0xF0,0x60,0x60,0x60,0x60,0x60
	.DB  0x62,0x66,0xFE,0x0,0x0,0x0,0x0,0x0
	.DB  0xC6,0xEE,0xFE,0xFE,0xD6,0xC6,0xC6,0xC6
	.DB  0xC6,0x0,0x0,0x0,0x0,0x0,0xC6,0xE6
	.DB  0xF6,0xFE,0xDE,0xCE,0xC6,0xC6,0xC6,0x0
	.DB  0x0,0x0,0x0,0x0,0x38,0x6C,0xC6,0xC6
	.DB  0xC6,0xC6,0xC6,0x6C,0x38,0x0,0x0,0x0
	.DB  0x0,0x0,0xFC,0x66,0x66,0x66,0x7C,0x60
	.DB  0x60,0x60,0xF0,0x0,0x0,0x0,0x0,0x0
	.DB  0x7C,0xC6,0xC6,0xC6,0xC6,0xD6,0xDE,0x7C
	.DB  0xC,0xE,0x0,0x0,0x0,0x0,0xFC,0x66
	.DB  0x66,0x66,0x7C,0x6C,0x66,0x66,0xE6,0x0
	.DB  0x0,0x0,0x0,0x0,0x7C,0xC6,0xC6,0x60
	.DB  0x38,0xC,0xC6,0xC6,0x7C,0x0,0x0,0x0
	.DB  0x0,0x0,0x7E,0x7E,0x5A,0x18,0x18,0x18
	.DB  0x18,0x18,0x3C,0x0,0x0,0x0,0x0,0x0
	.DB  0xC6,0xC6,0xC6,0xC6,0xC6,0xC6,0xC6,0xC6
	.DB  0x7C,0x0,0x0,0x0,0x0,0x0,0xC6,0xC6
	.DB  0xC6,0xC6,0xC6,0xC6,0x6C,0x38,0x10,0x0
	.DB  0x0,0x0,0x0,0x0,0xC6,0xC6,0xC6,0xC6
	.DB  0xD6,0xD6,0xFE,0x7C,0x6C,0x0,0x0,0x0
	.DB  0x0,0x0,0xC6,0xC6,0x6C,0x38,0x38,0x38
	.DB  0x6C,0xC6,0xC6,0x0,0x0,0x0,0x0,0x0
	.DB  0x66,0x66,0x66,0x66,0x3C,0x18,0x18,0x18
	.DB  0x3C,0x0,0x0,0x0,0x0,0x0,0xFE,0xC6
	.DB  0x8C,0x18,0x30,0x60,0xC2,0xC6,0xFE,0x0
	.DB  0x0,0x0,0x0,0x0,0x3C,0x30,0x30,0x30
	.DB  0x30,0x30,0x30,0x30,0x3C,0x0,0x0,0x0
	.DB  0x0,0x0,0x80,0xC0,0xE0,0x70,0x38,0x1C
	.DB  0xE,0x6,0x2,0x0,0x0,0x0,0x0,0x0
	.DB  0x3C,0xC,0xC,0xC,0xC,0xC,0xC,0xC
	.DB  0x3C,0x0,0x0,0x0,0x10,0x38,0x6C,0xC6
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0xFF,0x0
	.DB  0x30,0x30,0x18,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x78,0xC,0x7C,0xCC,0xCC
	.DB  0x76,0x0,0x0,0x0,0x0,0x0,0xE0,0x60
	.DB  0x60,0x78,0x6C,0x66,0x66,0x66,0x7C,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x7C
	.DB  0xC6,0xC0,0xC0,0xC6,0x7C,0x0,0x0,0x0
	.DB  0x0,0x0,0x1C,0xC,0xC,0x3C,0x6C,0xCC
	.DB  0xCC,0xCC,0x76,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x7C,0xC6,0xFE,0xC0,0xC6
	.DB  0x7C,0x0,0x0,0x0,0x0,0x0,0x38,0x6C
	.DB  0x64,0x60,0xF0,0x60,0x60,0x60,0xF0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x76
	.DB  0xCC,0xCC,0xCC,0x7C,0xC,0xCC,0x78,0x0
	.DB  0x0,0x0,0xE0,0x60,0x60,0x6C,0x76,0x66
	.DB  0x66,0x66,0xE6,0x0,0x0,0x0,0x0,0x0
	.DB  0x18,0x18,0x0,0x38,0x18,0x18,0x18,0x18
	.DB  0x3C,0x0,0x0,0x0,0x0,0x0,0x6,0x6
	.DB  0x0,0xE,0x6,0x6,0x6,0x6,0x66,0x66
	.DB  0x3C,0x0,0x0,0x0,0xE0,0x60,0x60,0x66
	.DB  0x6C,0x78,0x6C,0x66,0xE6,0x0,0x0,0x0
	.DB  0x0,0x0,0x38,0x18,0x18,0x18,0x18,0x18
	.DB  0x18,0x18,0x3C,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0xEC,0xFE,0xD6,0xD6,0xD6
	.DB  0xC6,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0xDC,0x66,0x66,0x66,0x66,0x66,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x7C
	.DB  0xC6,0xC6,0xC6,0xC6,0x7C,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0xDC,0x66,0x66
	.DB  0x66,0x7C,0x60,0x60,0xF0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x76,0xCC,0xCC,0xCC,0x7C
	.DB  0xC,0xC,0x1E,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0xDC,0x76,0x66,0x60,0x60,0xF0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x7C
	.DB  0xC6,0x70,0x1C,0xC6,0x7C,0x0,0x0,0x0
	.DB  0x0,0x0,0x10,0x30,0x30,0xFC,0x30,0x30
	.DB  0x30,0x36,0x1C,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0xCC,0xCC,0xCC,0xCC,0xCC
	.DB  0x76,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x66,0x66,0x66,0x66,0x3C,0x18,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0xC6
	.DB  0xC6,0xD6,0xD6,0xFE,0x6C,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0xC6,0x6C,0x38
	.DB  0x38,0x6C,0xC6,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0xC6,0xC6,0xC6,0xC6,0x7E
	.DB  0x6,0xC,0xF8,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0xFE,0xCC,0x18,0x30,0x66,0xFE,0x0
	.DB  0x0,0x0,0x0,0x0,0xE,0x18,0x18,0x18
	.DB  0x70,0x18,0x18,0x18,0xE,0x0,0x0,0x0
	.DB  0x0,0x0,0x18,0x18,0x18,0x18,0x0,0x18
	.DB  0x18,0x18,0x18,0x0,0x0,0x0,0x0,0x0
	.DB  0x70,0x18,0x18,0x18,0xE,0x18,0x18,0x18
	.DB  0x70,0x0,0x0,0x0,0x0,0x0,0x76,0xDC
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x42,0x42,0x7E,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x18,0x18,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x18,0x18,0x0,0x7E,0x0,0x18
	.DB  0x18,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x76,0xDC,0x0,0x76,0xDC,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x70,0xD8,0x30,0x60,0xC8,0xF8,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0xFE,0x0,0x0,0xFE
	.DB  0x0,0x0,0xFE,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x30
	.DB  0x18,0xC,0x6,0xC,0x18,0x30,0x0,0x7E
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0xE,0x1B,0x1B,0x18
	.DB  0x18,0x18,0x18,0x18,0x18,0x18,0x18,0x18
	.DB  0x0,0x38,0x6C,0x6C,0x38,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x18,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x18,0x18,0x7E,0x18
	.DB  0x18,0x0,0x0,0xFF,0x0,0x0,0x0,0x0
	.DB  0x0,0x3C,0x42,0x99,0xA5,0xA1,0xA5,0x99
	.DB  0x42,0x3C,0x0,0x0,0x0,0x0,0x0,0xC
	.DB  0x18,0x30,0x60,0x30,0x18,0xC,0x0,0x7E
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x18,0x18,0x18,0x18,0x18,0x18
	.DB  0x18,0x18,0xD8,0xD8,0xD8,0x70,0x0,0x0
	.DB  0x0,0x0,0x1E,0x36,0x66,0xC6,0xC6,0xFE
	.DB  0xC6,0xC6,0xC6,0x0,0x0,0x0,0x0,0x0
	.DB  0xFE,0x62,0x60,0x7C,0x66,0x66,0x66,0x66
	.DB  0xFC,0x0,0x0,0x0,0x0,0x0,0xFC,0x66
	.DB  0x66,0x66,0x7C,0x66,0x66,0x66,0xFC,0x0
	.DB  0x0,0x0,0x0,0x0,0xFE,0x62,0x62,0x60
	.DB  0x60,0x60,0x60,0x60,0xF0,0x0,0x0,0x0
	.DB  0x0,0x0,0x1E,0x36,0x66,0x66,0x66,0x66
	.DB  0x66,0x66,0xFF,0xC3,0x81,0x0,0x0,0x0
	.DB  0xFE,0x66,0x62,0x68,0x78,0x68,0x62,0x66
	.DB  0xFE,0x0,0x0,0x0,0x0,0x0,0xD6,0xD6
	.DB  0x54,0x54,0x7C,0x54,0xD6,0xD6,0xD6,0x0
	.DB  0x0,0x0,0x0,0x0,0x7C,0xC6,0x6,0x6
	.DB  0x3C,0x6,0x6,0xC6,0x7C,0x0,0x0,0x0
	.DB  0x0,0x0,0xC6,0xC6,0xCE,0xDE,0xF6,0xE6
	.DB  0xC6,0xC6,0xC6,0x0,0x0,0x0,0x38,0x38
	.DB  0xC6,0xC6,0xCE,0xDE,0xF6,0xE6,0xC6,0xC6
	.DB  0xC6,0x0,0x0,0x0,0x0,0x0,0xE6,0x66
	.DB  0x6C,0x6C,0x78,0x6C,0x6C,0x66,0xE6,0x0
	.DB  0x0,0x0,0x0,0x0,0x1E,0x36,0x66,0xC6
	.DB  0xC6,0xC6,0xC6,0xC6,0xC6,0x0,0x0,0x0
	.DB  0x0,0x0,0xC6,0xEE,0xFE,0xFE,0xD6,0xC6
	.DB  0xC6,0xC6,0xC6,0x0,0x0,0x0,0x0,0x0
	.DB  0xC6,0xC6,0xC6,0xC6,0xFE,0xC6,0xC6,0xC6
	.DB  0xC6,0x0,0x0,0x0,0x0,0x0,0x7C,0xC6
	.DB  0xC6,0xC6,0xC6,0xC6,0xC6,0xC6,0x7C,0x0
	.DB  0x0,0x0,0x0,0x0,0xFE,0xC6,0xC6,0xC6
	.DB  0xC6,0xC6,0xC6,0xC6,0xC6,0x0,0x0,0x0
	.DB  0x0,0x0,0xFC,0x66,0x66,0x66,0x7C,0x60
	.DB  0x60,0x60,0xF0,0x0,0x0,0x0,0x0,0x0
	.DB  0x3C,0x66,0xC2,0xC0,0xC0,0xC0,0xC2,0x66
	.DB  0x3C,0x0,0x0,0x0,0x0,0x0,0x7E,0x5A
	.DB  0x18,0x18,0x18,0x18,0x18,0x18,0x3C,0x0
	.DB  0x0,0x0,0x0,0x0,0xC6,0xC6,0xC6,0xC6
	.DB  0xC6,0x7E,0x6,0xC6,0x7C,0x0,0x0,0x0
	.DB  0x0,0x3C,0x18,0x7E,0xDB,0xDB,0xDB,0xDB
	.DB  0x7E,0x18,0x3C,0x0,0x0,0x0,0x0,0x0
	.DB  0xC6,0xC6,0x6C,0x7C,0x38,0x7C,0x6C,0xC6
	.DB  0xC6,0x0,0x0,0x0,0x0,0x0,0xCC,0xCC
	.DB  0xCC,0xCC,0xCC,0xCC,0xCC,0xCC,0xFE,0x6
	.DB  0x6,0x0,0x0,0x0,0xC6,0xC6,0xC6,0xC6
	.DB  0xC6,0x7E,0x6,0x6,0x6,0x0,0x0,0x0
	.DB  0x0,0x0,0xDB,0xDB,0xDB,0xDB,0xDB,0xDB
	.DB  0xDB,0xDB,0xFF,0x0,0x0,0x0,0x0,0x0
	.DB  0xDB,0xDB,0xDB,0xDB,0xDB,0xDB,0xDB,0xDB
	.DB  0xFF,0x3,0x3,0x0,0x0,0x0,0xF8,0xB0
	.DB  0x30,0x3C,0x36,0x36,0x36,0x36,0x7C,0x0
	.DB  0x0,0x0,0x0,0x0,0xC3,0xC3,0xC3,0xF3
	.DB  0xDB,0xDB,0xDB,0xDB,0xF3,0x0,0x0,0x0
	.DB  0x0,0x0,0xF0,0x60,0x60,0x7C,0x66,0x66
	.DB  0x66,0x66,0xFC,0x0,0x0,0x0,0x0,0x0
	.DB  0x7C,0xC6,0x6,0x26,0x3E,0x26,0x6,0xC6
	.DB  0x7C,0x0,0x0,0x0,0x0,0x0,0xCE,0xDB
	.DB  0xDB,0xDB,0xFB,0xDB,0xDB,0xDB,0xCE,0x0
	.DB  0x0,0x0,0x0,0x0,0x3F,0x66,0x66,0x66
	.DB  0x3E,0x3E,0x66,0x66,0xE7,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x78,0xC,0x7C
	.DB  0xCC,0xCC,0x76,0x0,0x0,0x0,0x0,0x2
	.DB  0x6,0x3C,0x60,0x60,0x7C,0x66,0x66,0x66
	.DB  0x3C,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0xFC,0x66,0x7C,0x66,0x66,0xFC,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x7E
	.DB  0x32,0x30,0x30,0x30,0x78,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x1E,0x36,0x36
	.DB  0x66,0x66,0xFF,0xC3,0xC3,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x7C,0xC6,0xFE,0xC0,0xC6
	.DB  0x7C,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0xD6,0xD6,0x7C,0x54,0xD6,0xD6,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x3C
	.DB  0x66,0xC,0x6,0x66,0x3C,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0xC6,0xCE,0xD6
	.DB  0xE6,0xC6,0xC6,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x38,0x38,0xC6,0xCE,0xD6,0xE6,0xC6
	.DB  0xC6,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0xE6,0x6C,0x78,0x78,0x6C,0xE6,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x1E
	.DB  0x36,0x66,0x66,0x66,0x66,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0xC6,0xEE,0xFE
	.DB  0xD6,0xD6,0xC6,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0xC6,0xC6,0xFE,0xC6,0xC6
	.DB  0xC6,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x7C,0xC6,0xC6,0xC6,0xC6,0x7C,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0xFE
	.DB  0xC6,0xC6,0xC6,0xC6,0xC6,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0xDC,0x66,0x66
	.DB  0x66,0x66,0x7C,0x60,0xF0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x7C,0xC6,0xC0,0xC0,0xC6
	.DB  0x7C,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x7E,0x5A,0x18,0x18,0x18,0x3C,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0xC6
	.DB  0xC6,0xC6,0xC6,0x7E,0x6,0xC6,0x7C,0x0
	.DB  0x0,0x0,0x0,0x0,0x3C,0x18,0x7E,0xDB
	.DB  0xDB,0xDB,0x7E,0x18,0x3C,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0xC6,0x6C,0x38,0x38,0x6C
	.DB  0xC6,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0xCC,0xCC,0xCC,0xCC,0xCC,0xFE,0x6
	.DB  0x6,0x0,0x0,0x0,0x0,0x0,0x0,0xC6
	.DB  0xC6,0xC6,0x7E,0x6,0x6,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0xD6,0xD6,0xD6
	.DB  0xD6,0xD6,0xFE,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0xD6,0xD6,0xD6,0xD6,0xD6
	.DB  0xFE,0x3,0x3,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0xF8,0xB0,0x3E,0x33,0x33,0x7E,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0xC6
	.DB  0xC6,0xF6,0xDE,0xDE,0xF6,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0xF0,0x60,0x7C
	.DB  0x66,0x66,0xFC,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0x0,0x0,0x3C,0x66,0x1E,0x6,0x66
	.DB  0x3C,0x0,0x0,0x0,0x0,0x0,0x0,0x0
	.DB  0x0,0xCE,0xDB,0xFB,0xDB,0xDB,0xCE,0x0
	.DB  0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x7E
	.DB  0xCC,0x7C,0x6C,0xCC,0xCE,0x0,0x0,0x0
_name12:
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xEE,0xDF,0xEE,0xFE,0xDF,0xDD
	.DB  0xFE,0xEF,0xDD,0xEE,0xEF,0xEE,0xFE,0xDF
	.DB  0xEE,0xFF,0xEF,0xFE,0xFE,0xEF,0xEE,0xFF
	.DB  0xEF,0xFE,0xFF,0xFF,0xFE,0xFE,0xEF,0xFE
	.DB  0xFF,0xEF,0xEE,0xFF,0xFF,0xFF,0xFF,0xEF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xED,0xBC,0xDB,0xCD
	.DB  0xBD,0xDB,0xCD,0xBC,0xDB,0xDD,0xBD,0xDB
	.DB  0xCE,0xCD,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xEE,0xFE,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDF,0xDD
	.DB  0xED,0xDE,0xEE,0xFF,0xFF,0xFF,0xFF,0xED
	.DB  0xB3,0x2F,0x97,0xFB,0xAB,0x77,0x75,0x55
	.DB  0x45,0x44,0x51,0x23,0x13,0x41,0x24,0x13
	.DB  0x43,0x44,0x34,0x44,0x55,0x34,0x45,0x65
	.DB  0x34,0x43,0x54,0x57,0x55,0x65,0x45,0x53
	.DB  0x44,0x45,0x52,0x32,0x23,0x22,0x32,0x45
	.DB  0x34,0x54,0x45,0x65,0x67,0x56,0x75,0x67
	.DB  0x56,0x65,0x67,0x56,0x65,0x54,0x55,0x55
	.DB  0x65,0x56,0x65,0x56,0x45,0x54,0x44,0x44
	.DB  0x55,0x56,0x66,0x76,0x67,0x66,0x76,0x67
	.DB  0x66,0x76,0x67,0x66,0x76,0x67,0x66,0x76
	.DB  0x66,0x56,0x66,0x66,0x55,0x65,0x56,0x55
	.DB  0x65,0x56,0x55,0x65,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x55,0x65,0x56,0x45,0x54
	.DB  0x55,0x45,0x54,0x45,0x44,0x54,0x45,0x45
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x45,0x44,0x54,0x45,0x44,0x43
	.DB  0x44,0x44,0x54,0x45,0x34,0x44,0x45,0x33
	.DB  0x44,0x34,0x33,0x43,0x34,0x33,0x43,0x34
	.DB  0x33,0x43,0x34,0x33,0x43,0x34,0x33,0x43
	.DB  0x34,0x33,0x43,0x34,0x33,0x33,0x23,0x32
	.DB  0x33,0x23,0x22,0x32,0x23,0x22,0x32,0x23
	.DB  0x32,0x32,0x23,0x44,0x45,0x56,0x21,0x22
	.DB  0x23,0x22,0x32,0x23,0x22,0x32,0x23,0x21
	.DB  0x22,0x23,0x22,0x32,0x12,0x21,0x21,0x12
	.DB  0xED,0xFD,0xDE,0xDD,0xEE,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xEE,0xFE,0xEF,0xEE
	.DB  0xFD,0xDE,0xED,0xFE,0xEF,0xEE,0xFE,0xEF
	.DB  0xEE,0xFE,0xEF,0xEE,0xFE,0xEF,0xFE,0xFF
	.DB  0xEF,0xFF,0xFF,0xFF,0xFE,0xFF,0xEF,0xFE
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xED,0xBD,0xDB,0xCD
	.DB  0xBD,0xDB,0xCD,0xBC,0xDB,0xCD,0xBD,0xDB
	.DB  0xCE,0xCD,0xFD,0xFF,0xEF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFE,0xDF,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xFD,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xEF,0xFF,0xED,0xDF,0xED
	.DB  0xE8,0x6E,0x54,0xE5,0x5E,0x87,0xA5,0x57
	.DB  0x54,0x76,0x53,0x34,0x23,0x41,0x34,0x12
	.DB  0x32,0x34,0x35,0x43,0x44,0x24,0x43,0x54
	.DB  0x34,0x34,0x64,0x45,0x45,0x56,0x44,0x43
	.DB  0x43,0x24,0x34,0x54,0x78,0x72,0x33,0x23
	.DB  0x33,0x34,0x44,0x55,0x67,0x56,0x75,0x67
	.DB  0x56,0x66,0x66,0x45,0x45,0x65,0x67,0x64
	.DB  0x55,0x77,0x76,0x67,0x66,0x76,0x67,0x66
	.DB  0x76,0x67,0x66,0x76,0x67,0x66,0x76,0x67
	.DB  0x66,0x76,0x67,0x66,0x76,0x67,0x66,0x66
	.DB  0x66,0x66,0x66,0x66,0x55,0x65,0x56,0x55
	.DB  0x66,0x66,0x55,0x65,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x55,0x65,0x56,0x45,0x54
	.DB  0x55,0x45,0x54,0x45,0x44,0x54,0x45,0x44
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x44,0x44,0x54,0x44,0x44,0x44
	.DB  0x44,0x34,0x44,0x44,0x44,0x43,0x34,0x44
	.DB  0x43,0x34,0x33,0x43,0x34,0x33,0x43,0x34
	.DB  0x33,0x43,0x34,0x33,0x43,0x34,0x55,0x63
	.DB  0x34,0x33,0x33,0x33,0x33,0x43,0x23,0x32
	.DB  0x33,0x23,0x32,0x33,0x23,0x32,0x32,0x23
	.DB  0x32,0x32,0x23,0x22,0x32,0x23,0x22,0x32
	.DB  0x23,0x22,0x33,0x23,0x22,0x32,0x23,0x21
	.DB  0x22,0x12,0x21,0x22,0x12,0x21,0x22,0x12
	.DB  0xEE,0xFD,0xDE,0xDD,0xED,0xDE,0xDD,0xEE
	.DB  0xDF,0xEE,0xFD,0xDE,0xDD,0xED,0xDE,0xEE
	.DB  0xFE,0xEF,0xEE,0xFE,0xEF,0xEE,0xFE,0xEF
	.DB  0xEE,0xFF,0xEF,0xEE,0xFE,0xEF,0xFE,0xFF
	.DB  0xEF,0xFE,0xFE,0xEF,0xEE,0xFF,0xEF,0xFE
	.DB  0xFF,0xEF,0xFE,0xFF,0xEF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xDD,0xBD,0xDB,0xCD
	.DB  0xBD,0xDB,0xCD,0xBC,0xDB,0xCD,0xBD,0xDB
	.DB  0xCE,0xCD,0xFD,0xFF,0xEF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFE,0xDF,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDF,0xDD,0xED,0xDF,0xDD
	.DB  0xEC,0xCD,0xDD,0xEE,0xEE,0xCC,0xBB,0x96
	.DB  0xD9,0x9F,0xAA,0xF4,0x4D,0x21,0xD3,0x3B
	.DB  0x54,0x95,0x56,0x45,0x33,0x42,0x34,0x13
	.DB  0x32,0x43,0x24,0x32,0x43,0x13,0x32,0x32
	.DB  0x24,0x33,0x33,0x23,0x32,0x32,0x24,0x23
	.DB  0x42,0x13,0x22,0x21,0x33,0x33,0x34,0x33
	.DB  0x43,0x44,0x45,0x65,0x67,0x56,0x75,0x55
	.DB  0x55,0x56,0x66,0x66,0x75,0x66,0x67,0x66
	.DB  0x65,0x66,0x66,0x66,0x66,0x77,0x77,0x77
	.DB  0x76,0x67,0x66,0x76,0x67,0x66,0x76,0x67
	.DB  0x66,0x76,0x67,0x66,0x76,0x66,0x66,0x76
	.DB  0x66,0x67,0x66,0x67,0x55,0x66,0x76,0x78
	.DB  0x66,0x66,0x55,0x65,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x55,0x65,0x56,0x45,0x54
	.DB  0x55,0x45,0x54,0x45,0x44,0x54,0x45,0x44
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x45,0x44,0x54,0x45,0x44,0x45
	.DB  0x45,0x44,0x53,0x34,0x44,0x54,0x45,0x33
	.DB  0x43,0x34,0x33,0x43,0x34,0x33,0x43,0x34
	.DB  0x33,0x43,0x34,0x33,0x43,0x34,0x33,0x43
	.DB  0x34,0x33,0x33,0x34,0x33,0x43,0x23,0x32
	.DB  0x33,0x34,0x22,0x33,0x23,0x32,0x33,0x23
	.DB  0x32,0x32,0x23,0x22,0x32,0x23,0x22,0x32
	.DB  0x23,0x22,0x33,0x23,0x22,0x32,0x23,0x21
	.DB  0x32,0x12,0x21,0x22,0x12,0x21,0x22,0x12
	.DB  0xEE,0xFD,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xED,0xFD,0xDE,0xEE,0xFE,0xEF,0xDD
	.DB  0xEE,0xDF,0xDD,0xED,0xDF,0xEE,0xFF,0xEF
	.DB  0xFE,0xFF,0xEF,0xEE,0xFE,0xEF,0xFE,0xFF
	.DB  0xFF,0xEE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDE,0xEC,0xDD,0xBC,0xDB,0xCD
	.DB  0xBD,0xDB,0xCD,0xBC,0xDB,0xCD,0xBD,0xDB
	.DB  0xCE,0xBD,0xFD,0xEF,0xEF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFE,0xEF,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xED,0xFD,0xDF,0xDD
	.DB  0xEC,0xCC,0xCC,0xCC,0xCB,0x88,0x78,0x76
	.DB  0x97,0x6A,0x55,0xC6,0x5E,0x44,0xE2,0x2E
	.DB  0x44,0xC5,0x59,0x56,0x53,0x54,0x45,0x34
	.DB  0x43,0x53,0x13,0x26,0x77,0x34,0x32,0x22
	.DB  0x23,0x22,0x32,0x12,0x23,0x44,0x34,0x43
	.DB  0x43,0x34,0x33,0x43,0x44,0x54,0x45,0x44
	.DB  0x53,0x44,0x44,0x55,0x67,0x55,0x65,0x55
	.DB  0x66,0x65,0x66,0x56,0x65,0x66,0x67,0x65
	.DB  0x66,0x67,0x66,0x67,0x67,0x66,0x66,0x66
	.DB  0x76,0x67,0x66,0x77,0x77,0x76,0x76,0x67
	.DB  0x66,0x76,0x67,0x66,0x76,0x66,0x66,0x66
	.DB  0x66,0x66,0x66,0x66,0x56,0x66,0x75,0x68
	.DB  0x57,0x76,0x55,0x55,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x55,0x65,0x56,0x45,0x54
	.DB  0x55,0x44,0x54,0x45,0x45,0x54,0x55,0x44
	.DB  0x54,0x45,0x45,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x45,0x44,0x54,0x45,0x34,0x44
	.DB  0x45,0x44,0x54,0x44,0x43,0x44,0x45,0x33
	.DB  0x43,0x34,0x33,0x43,0x34,0x33,0x43,0x34
	.DB  0x33,0x43,0x34,0x33,0x43,0x34,0x33,0x43
	.DB  0x34,0x33,0x43,0x34,0x33,0x33,0x33,0x32
	.DB  0x33,0x23,0x33,0x43,0x34,0x32,0x33,0x23
	.DB  0x32,0x32,0x23,0x22,0x32,0x23,0x22,0x33
	.DB  0x23,0x32,0x33,0x23,0x22,0x33,0x23,0x21
	.DB  0x22,0x12,0x21,0x22,0x12,0x22,0x22,0x12
	.DB  0xDD,0xEE,0xDF,0xDC,0xED,0xDE,0xED,0xFD
	.DB  0xDE,0xED,0xFD,0xDE,0xEE,0xFE,0xEF,0xDD
	.DB  0xEB,0xBC,0xBA,0xBA,0x9A,0xCA,0xCE,0xEF
	.DB  0xEE,0xFE,0xEF,0xEE,0xFE,0xEF,0xFE,0xFE
	.DB  0xEF,0xFF,0xFE,0xEF,0xDD,0xED,0xDE,0xDC
	.DB  0xDD,0xCD,0xED,0xDF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xDD,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBD,0xFD,0xEF,0xEF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFE,0xEF,0xED,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xCC,0xDE,0xEF,0xDD
	.DB  0xEB,0xBB,0xBB,0xB5,0x54,0xA9,0x9B,0xBA
	.DB  0x88,0x7A,0x88,0xD9,0x9E,0x87,0xD4,0x4D
	.DB  0x22,0xE3,0x3D,0x56,0xA5,0x66,0x45,0x44
	.DB  0x43,0x43,0x12,0x25,0x65,0x55,0x45,0x55
	.DB  0x23,0x33,0x34,0x33,0x22,0x32,0x33,0x33
	.DB  0x54,0x34,0x43,0x45,0x34,0x44,0x45,0x45
	.DB  0x64,0x56,0x44,0x65,0x56,0x55,0x65,0x65
	.DB  0x56,0x65,0x66,0x56,0x65,0x64,0x56,0x55
	.DB  0x65,0x56,0x64,0x54,0x45,0x45,0x65,0x66
	.DB  0x66,0x67,0x66,0x76,0x67,0x66,0x76,0x67
	.DB  0x66,0x76,0x66,0x66,0x76,0x66,0x66,0x65
	.DB  0x66,0x66,0x66,0x66,0x56,0x44,0x64,0x34
	.DB  0x23,0x42,0x55,0x45,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x55,0x64,0x55,0x45,0x54
	.DB  0x55,0x55,0x64,0x45,0x44,0x54,0x45,0x44
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x45,0x44,0x54,0x45,0x44,0x43
	.DB  0x44,0x44,0x44,0x34,0x33,0x44,0x44,0x33
	.DB  0x43,0x34,0x33,0x44,0x34,0x33,0x43,0x34
	.DB  0x33,0x44,0x34,0x33,0x44,0x34,0x33,0x43
	.DB  0x34,0x33,0x43,0x34,0x33,0x43,0x34,0x32
	.DB  0x33,0x23,0x32,0x33,0x23,0x33,0x43,0x23
	.DB  0x32,0x33,0x23,0x32,0x32,0x23,0x22,0x32
	.DB  0x23,0x32,0x33,0x23,0x22,0x32,0x23,0x21
	.DB  0x22,0x12,0x21,0x22,0x12,0x22,0x32,0x12
	.DB  0xDD,0xED,0xDF,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xEE,0xFD,0xDE,0xED,0xFE,0xDF,0xDC
	.DB  0xE9,0x9A,0x98,0x83,0x0,0x84,0x4F,0xFF
	.DB  0xEE,0xFE,0xEF,0xEE,0xFE,0xEF,0xFE,0xFF
	.DB  0xEF,0xED,0xEB,0xBC,0xCC,0xDB,0x99,0x94
	.DB  0x48,0x11,0x81,0x19,0x44,0xFE,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDE,0xEC,0xDD,0xBC,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBD,0xFC,0xEF,0xEF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFE,0xEF,0xED,0xFD,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xCD,0xDD,0xDE,0xBB
	.DB  0xC9,0xA9,0x66,0x57,0x76,0xAA,0x9A,0xAA
	.DB  0x67,0x57,0x77,0xA8,0x7B,0x76,0xD7,0x6E
	.DB  0x66,0xE3,0x3E,0x32,0xF7,0x67,0x34,0x54
	.DB  0x53,0x33,0x33,0x24,0x33,0x66,0x54,0x55
	.DB  0x12,0x12,0x33,0x45,0x43,0x43,0x34,0x43
	.DB  0x55,0x34,0x53,0x45,0x45,0x64,0x46,0x45
	.DB  0x64,0x45,0x55,0x56,0x66,0x67,0x75,0x66
	.DB  0x56,0x65,0x66,0x56,0x64,0x54,0x55,0x55
	.DB  0x56,0x34,0x31,0x31,0x12,0x2,0x31,0x45
	.DB  0x46,0x66,0x66,0x76,0x67,0x66,0x76,0x67
	.DB  0x66,0x66,0x66,0x66,0x66,0x66,0x67,0x64
	.DB  0x55,0x45,0x43,0x53,0x55,0x44,0x54,0x34
	.DB  0x34,0x44,0x55,0x55,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x45,0x55,0x56,0x45,0x54
	.DB  0x55,0x45,0x54,0x45,0x44,0x54,0x45,0x44
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x45,0x44,0x54,0x45,0x44,0x43
	.DB  0x44,0x43,0x44,0x34,0x33,0x43,0x34,0x43
	.DB  0x43,0x34,0x33,0x44,0x34,0x33,0x43,0x34
	.DB  0x33,0x44,0x34,0x44,0x43,0x34,0x33,0x43
	.DB  0x34,0x33,0x43,0x34,0x33,0x33,0x34,0x33
	.DB  0x33,0x34,0x32,0x33,0x34,0x32,0x33,0x23
	.DB  0x33,0x42,0x23,0x32,0x33,0x23,0x22,0x32
	.DB  0x23,0x32,0x32,0x23,0x21,0x22,0x13,0x21
	.DB  0x32,0x23,0x21,0x22,0x12,0x21,0x22,0x12
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xEE,0xEF,0xDD,0xEE,0xDF,0xDD
	.DB  0xE7,0x78,0x98,0x87,0x11,0x60,0xF,0xEF
	.DB  0xEE,0xFE,0xEF,0xEE,0xFF,0xFF,0xEE,0xFC
	.DB  0xCD,0xAB,0xBC,0xBB,0x83,0x37,0x0,0x80
	.DB  0x9,0x0,0x90,0x8,0x0,0x60,0xE,0xCD
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDE,0xEC,0xDD,0xBC,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBD,0xEC,0xEF,0xEF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xED,0xFD,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xEE,0xFD
	.DB  0xDE,0xDD,0xED,0xDE,0xDE,0xEC,0xDD,0xDD
	.DB  0xD6,0x75,0x89,0x8B,0xBA,0xCB,0xA8,0x85
	.DB  0xBA,0xA7,0x87,0x55,0x47,0x66,0x74,0x49
	.DB  0x45,0xE7,0x6E,0x43,0xE6,0x4A,0x55,0x64
	.DB  0x55,0x43,0x75,0x45,0x33,0x54,0x43,0x22
	.DB  0x56,0x63,0x44,0x34,0x43,0x44,0x34,0x53
	.DB  0x45,0x34,0x53,0x45,0x44,0x64,0x56,0x55
	.DB  0x55,0x55,0x66,0x54,0x65,0x56,0x55,0x65
	.DB  0x56,0x65,0x65,0x34,0x35,0x55,0x45,0x54
	.DB  0x44,0x45,0x55,0x66,0x45,0x54,0x54,0x45
	.DB  0x46,0x67,0x66,0x76,0x67,0x66,0x76,0x67
	.DB  0x66,0x66,0x66,0x66,0x65,0x55,0x45,0x45
	.DB  0x55,0x45,0x43,0x43,0x34,0x34,0x54,0x55
	.DB  0x65,0x56,0x55,0x65,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x45,0x64,0x55,0x45,0x54
	.DB  0x55,0x44,0x54,0x45,0x44,0x54,0x45,0x44
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x45,0x44,0x45,0x55,0x33,0x44
	.DB  0x44,0x44,0x54,0x44,0x43,0x43,0x34,0x33
	.DB  0x44,0x44,0x44,0x54,0x34,0x33,0x43,0x34
	.DB  0x33,0x43,0x34,0x43,0x44,0x34,0x33,0x44
	.DB  0x34,0x33,0x43,0x33,0x33,0x43,0x33,0x33
	.DB  0x44,0x34,0x32,0x34,0x44,0x33,0x43,0x23
	.DB  0x32,0x33,0x23,0x32,0x32,0x23,0x22,0x33
	.DB  0x23,0x32,0x32,0x23,0x32,0x32,0x12,0x22
	.DB  0x33,0x23,0x22,0x32,0x12,0x21,0x22,0x12
	.DB  0xDD,0xEE,0xDF,0xDD,0xFE,0xDF,0xED,0xFE
	.DB  0xDF,0xDD,0xEE,0xDE,0xEE,0xFE,0xEF,0xCC
	.DB  0xD7,0x88,0xA8,0x88,0x11,0xA0,0x8,0x0
	.DB  0xDB,0xCF,0xFF,0xEE,0xFD,0xDE,0xDC,0xDC
	.DB  0xCD,0xB8,0x86,0x0,0x60,0x7,0x0,0xA3
	.DB  0x4B,0x66,0xB5,0x59,0x0,0x70,0x6,0x11
	.DB  0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xED,0xBC,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xEC,0xDF,0xEF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xED,0xFD,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xEE,0xFD
	.DB  0xDE,0xDD,0xED,0xDE,0xCC,0xDD,0xDD,0x66
	.DB  0x6A,0xA9,0xDD,0xDC,0xCB,0xCA,0x8C,0x97
	.DB  0xC9,0x97,0x65,0x78,0x77,0x78,0x44,0x56
	.DB  0x45,0x96,0x6B,0x55,0xB6,0x48,0x43,0x73
	.DB  0x3A,0x55,0xB5,0x58,0x44,0x64,0x35,0x43
	.DB  0x33,0x44,0x45,0x33,0x43,0x45,0x34,0x63
	.DB  0x46,0x34,0x63,0x46,0x45,0x64,0x55,0x55
	.DB  0x55,0x55,0x35,0x45,0x66,0x45,0x45,0x65
	.DB  0x55,0x62,0x32,0x44,0x44,0x45,0x23,0x32
	.DB  0x22,0x23,0x24,0x44,0x44,0x55,0x66,0x55
	.DB  0x64,0x45,0x55,0x66,0x67,0x66,0x76,0x66
	.DB  0x66,0x66,0x66,0x65,0x65,0x55,0x45,0x44
	.DB  0x54,0x66,0x65,0x55,0x44,0x43,0x43,0x55
	.DB  0x55,0x56,0x55,0x65,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x45,0x54,0x55,0x45,0x54
	.DB  0x55,0x44,0x54,0x45,0x44,0x54,0x45,0x45
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x45,0x44,0x54,0x44,0x44,0x44
	.DB  0x34,0x33,0x44,0x34,0x43,0x43,0x34,0x43
	.DB  0x44,0x34,0x33,0x44,0x34,0x43,0x43,0x34
	.DB  0x33,0x44,0x34,0x33,0x43,0x34,0x33,0x43
	.DB  0x34,0x33,0x43,0x34,0x33,0x43,0x33,0x33
	.DB  0x33,0x34,0x33,0x42,0x23,0x32,0x33,0x23
	.DB  0x44,0x43,0x23,0x32,0x32,0x23,0x22,0x33
	.DB  0x23,0x32,0x32,0x23,0x32,0x32,0x13,0x22
	.DB  0x32,0x12,0x21,0x22,0x12,0x21,0x22,0x12
	.DB  0xDD,0xED,0xDE,0xDD,0xEE,0xDE,0xDD,0xED
	.DB  0xDE,0xEE,0xFE,0xEF,0xDD,0xEE,0xEF,0xDD
	.DB  0xE8,0x89,0x97,0x88,0x11,0xA0,0x1A,0x11
	.DB  0x70,0x8,0x22,0xA5,0x6A,0x66,0x94,0x57
	.DB  0x11,0x50,0x6,0x0,0xB6,0x7D,0xBC,0xBA
	.DB  0xB9,0x9A,0x88,0x8B,0xAB,0xA6,0x65,0x0
	.DB  0x85,0x5F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDE,0xEC,0xDD,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xEC,0xDF,0xDF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xEE,0xFD,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xEE,0xFD,0xDE
	.DB  0x86,0x63,0x0,0x84,0x4D,0xAA,0xFF,0xFE
	.DB  0xEE,0xDD,0xDC,0xCD,0xCC,0xD7,0x77,0x55
	.DB  0x5A,0xBA,0xDC,0xCD,0xB9,0xE7,0x6E,0x55
	.DB  0xC3,0x6B,0x69,0x75,0x66,0x54,0x44,0x45
	.DB  0x44,0x75,0x56,0x54,0x65,0x36,0x54,0x85
	.DB  0x4B,0x43,0xC4,0x3C,0x54,0xA5,0x49,0x55
	.DB  0x75,0x54,0x44,0x44,0x54,0x46,0x34,0x53
	.DB  0x46,0x34,0x63,0x46,0x44,0x54,0x44,0x45
	.DB  0x44,0x54,0x45,0x44,0x55,0x35,0x44,0x55
	.DB  0x44,0x54,0x55,0x45,0x54,0x55,0x44,0x44
	.DB  0x55,0x23,0x23,0x43,0x45,0x54,0x45,0x66
	.DB  0x76,0x67,0x55,0x66,0x67,0x66,0x76,0x67
	.DB  0x55,0x66,0x55,0x65,0x55,0x55,0x44,0x56
	.DB  0x66,0x44,0x45,0x56,0x55,0x55,0x55,0x55
	.DB  0x65,0x56,0x55,0x65,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x45,0x55,0x56,0x45,0x54
	.DB  0x55,0x44,0x54,0x45,0x44,0x54,0x45,0x44
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x44,0x55,0x64,0x34,0x44,0x44
	.DB  0x44,0x44,0x43,0x34,0x44,0x44,0x34,0x88
	.DB  0x93,0x23,0x43,0x44,0x34,0x43,0x43,0x34
	.DB  0x43,0x44,0x34,0x43,0x43,0x34,0x33,0x44
	.DB  0x34,0x33,0x43,0x34,0x43,0x43,0x23,0x43
	.DB  0x43,0x23,0x33,0x33,0x34,0x32,0x33,0x23
	.DB  0x32,0x33,0x23,0x32,0x32,0x23,0x32,0x33
	.DB  0x23,0x32,0x32,0x23,0x22,0x32,0x23,0x21
	.DB  0x22,0x12,0x21,0x22,0x12,0x21,0x22,0x12
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xED,0xFE
	.DB  0xDF,0xEE,0xFE,0xEF,0xED,0xFE,0xEF,0xDC
	.DB  0xD8,0x89,0x98,0x87,0x0,0xC7,0x7A,0x9A
	.DB  0xA5,0x57,0x0,0x50,0x5,0x0,0x70,0x9
	.DB  0x33,0xB7,0x8D,0xCD,0xDD,0xEC,0xCD,0xDD
	.DB  0xED,0xDE,0xCC,0xC8,0x88,0x88,0x8A,0x88
	.DB  0x41,0x1B,0xAA,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xDD,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xEC,0xDF,0xDE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xEE,0xFE,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xEE,0xEF,0xCB,0xC7,0x33
	.DB  0x93,0x25,0x0,0xF7,0x6E,0x33,0xE8,0x8F
	.DB  0xEF,0xCC,0xCA,0xBB,0xCD,0xC4,0x43,0xDD
	.DB  0xCC,0xCB,0xA8,0x6C,0x65,0xE4,0x4C,0x13
	.DB  0xD4,0x6D,0x69,0xB5,0x89,0x45,0x64,0x45
	.DB  0x47,0x66,0x83,0x43,0x23,0x25,0x44,0x75
	.DB  0x4A,0x53,0xD4,0x3D,0x33,0xE5,0x4D,0x66
	.DB  0xB6,0x77,0x56,0x55,0x66,0x67,0x45,0x63
	.DB  0x46,0x33,0x44,0x42,0x55,0x35,0x53,0x45
	.DB  0x32,0x43,0x34,0x42,0x32,0x45,0x52,0x33
	.DB  0x34,0x33,0x44,0x33,0x33,0x43,0x45,0x54
	.DB  0x45,0x66,0x64,0x44,0x44,0x45,0x56,0x56
	.DB  0x76,0x67,0x66,0x76,0x67,0x66,0x66,0x66
	.DB  0x55,0x55,0x55,0x55,0x56,0x66,0x55,0x65
	.DB  0x56,0x66,0x75,0x55,0x55,0x65,0x66,0x55
	.DB  0x65,0x56,0x55,0x65,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x45,0x54,0x55,0x45,0x54
	.DB  0x55,0x44,0x54,0x55,0x44,0x54,0x45,0x44
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x44,0x55,0x54,0x44,0x44,0x44
	.DB  0x44,0x44,0x53,0x34,0x43,0x44,0x44,0x33
	.DB  0x34,0x34,0x43,0x44,0x34,0x43,0x44,0x34
	.DB  0x33,0x44,0x34,0x43,0x44,0x34,0x43,0x44
	.DB  0x34,0x33,0x43,0x34,0x33,0x43,0x23,0x76
	.DB  0x73,0x23,0x33,0x43,0x34,0x32,0x33,0x23
	.DB  0x32,0x33,0x23,0x32,0x33,0x23,0x32,0x34
	.DB  0x34,0x32,0x32,0x23,0x22,0x32,0x23,0x22
	.DB  0x32,0x12,0x22,0x32,0x12,0x21,0x22,0x12
	.DB  0xDD,0xFE,0xDF,0xDD,0xED,0xDE,0xDD,0xEE
	.DB  0xDF,0xDD,0xED,0xDF,0xED,0xFE,0xEF,0xDC
	.DB  0xE8,0x89,0xA8,0x87,0x0,0xC7,0x88,0x89
	.DB  0x98,0x9B,0x9A,0xCA,0xAC,0xAA,0xCA,0xBC
	.DB  0xBC,0xCC,0xDD,0xDE,0xEE,0xFF,0xEF,0xFF
	.DB  0xFF,0xFF,0xFE,0xFD,0xDE,0x99,0x98,0x88
	.DB  0x97,0x89,0x77,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xDD,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xEB,0xDF,0xDE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xEE,0xFE,0xDE,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0x75,0x56,0x11
	.DB  0x82,0x28,0x0,0xF5,0x5F,0x45,0xE5,0x6B
	.DB  0x88,0x77,0x6E,0xFE,0x44,0x37,0x76,0x77
	.DB  0x76,0x65,0x63,0x2B,0x44,0xD4,0x7E,0x4A
	.DB  0xB1,0x4E,0x36,0xF6,0x9E,0x68,0xA5,0x99
	.DB  0x59,0xA8,0xA5,0x45,0x22,0x24,0x43,0x43
	.DB  0x28,0x44,0xC5,0x5F,0x66,0xF4,0x4D,0x22
	.DB  0xC5,0x6A,0x67,0x86,0x7A,0x78,0x86,0x75
	.DB  0x44,0xB8,0x4A,0x94,0x54,0x28,0x84,0x88
	.DB  0x43,0x43,0x23,0x23,0x43,0x45,0x54,0x55
	.DB  0x45,0x65,0x66,0x34,0x44,0x44,0x44,0x45
	.DB  0x56,0x45,0x56,0x67,0x66,0x76,0x67,0x66
	.DB  0x76,0x67,0x66,0x76,0x67,0x65,0x66,0x66
	.DB  0x66,0x66,0x56,0x55,0x65,0x55,0x66,0x76
	.DB  0x66,0x55,0x66,0x66,0x55,0x65,0x56,0x55
	.DB  0x65,0x56,0x55,0x65,0x56,0x55,0x65,0x56
	.DB  0x55,0x64,0x55,0x55,0x64,0x55,0x45,0x54
	.DB  0x45,0x44,0x54,0x45,0x44,0x54,0x45,0x44
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x44,0x44,0x54,0x44,0x44,0x44
	.DB  0x44,0x43,0x44,0x34,0x33,0x44,0x44,0x43
	.DB  0x43,0x34,0x43,0x44,0x34,0x43,0x44,0x34
	.DB  0x33,0x44,0x34,0x43,0x44,0x34,0x33,0x44
	.DB  0x34,0x33,0x43,0x34,0x43,0x43,0x33,0x32
	.DB  0x33,0x23,0x32,0x43,0x23,0x32,0x33,0x23
	.DB  0x32,0x33,0x23,0x32,0x33,0x23,0x32,0x33
	.DB  0x23,0x22,0x33,0x23,0x22,0x32,0x23,0x21
	.DB  0x32,0x13,0x21,0x22,0x12,0x21,0x22,0x12
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDE,0xEE,0xFE,0xEF,0xDD,0xED,0xDE,0xDD
	.DB  0xE8,0x89,0xA8,0x85,0x0,0xA6,0x6E,0xEF
	.DB  0xCC,0xDA,0xAB,0xAA,0xBA,0xAB,0xBB,0xCD
	.DB  0xDE,0xEE,0xFF,0xFF,0xFE,0xFE,0xEF,0xFE
	.DB  0xFF,0xEF,0xFF,0xFF,0xFF,0xEE,0xEB,0xBB
	.DB  0xCC,0xCF,0xFF,0xFE,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xDD,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xEB,0xDF,0xDE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFE,0xFE,0xDF,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xFC,0xBC,0x73,0x37,0x22
	.DB  0xA3,0x3A,0x0,0xF7,0x7F,0x89,0xE7,0x8A
	.DB  0x77,0x55,0x49,0xA9,0xAA,0xA4,0x54,0x55
	.DB  0x57,0x77,0xA9,0x88,0x55,0xB5,0x8E,0x4D
	.DB  0xF6,0xFE,0x79,0xD2,0x2E,0x35,0xE5,0xBC
	.DB  0x68,0xD9,0x8D,0xA9,0x63,0x33,0x22,0x33
	.DB  0x25,0x43,0xA5,0x5C,0x45,0xE5,0x6D,0x56
	.DB  0xA2,0x2B,0x23,0xB4,0x5E,0x89,0xC7,0x7D
	.DB  0x75,0xFA,0x59,0x72,0x77,0x38,0x84,0xBC
	.DB  0x66,0x74,0x45,0x54,0x56,0x23,0x33,0x43
	.DB  0x45,0x54,0x55,0x55,0x65,0x56,0x66,0x76
	.DB  0x67,0x56,0x66,0x67,0x66,0x76,0x67,0x66
	.DB  0x76,0x66,0x66,0x76,0x67,0x65,0x66,0x67
	.DB  0x66,0x76,0x67,0x66,0x76,0x66,0x55,0x56
	.DB  0x67,0x66,0x66,0x66,0x55,0x65,0x56,0x55
	.DB  0x65,0x56,0x55,0x65,0x56,0x55,0x65,0x56
	.DB  0x55,0x65,0x56,0x45,0x55,0x55,0x44,0x54
	.DB  0x45,0x44,0x54,0x55,0x45,0x54,0x45,0x45
	.DB  0x54,0x45,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x45,0x44,0x44,0x44,0x44,0x44
	.DB  0x44,0x44,0x54,0x44,0x33,0x44,0x34,0x54
	.DB  0x54,0x34,0x43,0x44,0x34,0x43,0x44,0x34
	.DB  0x43,0x44,0x34,0x43,0x44,0x45,0x33,0x44
	.DB  0x34,0x43,0x43,0x23,0x43,0x43,0x33,0x33
	.DB  0x33,0x23,0x32,0x33,0x23,0x32,0x33,0x23
	.DB  0x32,0x33,0x23,0x32,0x33,0x23,0x32,0x33
	.DB  0x23,0x22,0x33,0x23,0x43,0x42,0x12,0x21
	.DB  0x32,0x23,0x32,0x32,0x23,0x21,0x22,0x12
	.DB  0xDD,0xED,0xDE,0xDD,0xEE,0xDF,0xDD,0xEE
	.DB  0xDF,0xEE,0xFE,0xEF,0xEE,0xFD,0xDE,0xDD
	.DB  0xE8,0x88,0x87,0x7A,0x55,0xB8,0x8E,0xEF
	.DB  0xDD,0xEC,0xCD,0xDC,0xDE,0xCD,0xDA,0xAC
	.DB  0x77,0xB6,0x6B,0x66,0xB8,0x8D,0xAA,0xFD
	.DB  0xDF,0xFF,0xFF,0xFF,0xFF,0xEE,0xFD,0xCD
	.DB  0xED,0xEF,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xED,0xBC,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xDF,0xDE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFE,0xFE,0xDF,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDE,0xFC,0xBB,0x73,0x39,0x44
	.DB  0xB3,0x3C,0x11,0xF9,0xAF,0xDE,0xFB,0xCB
	.DB  0xAA,0x44,0x45,0x65,0xDD,0xD2,0x32,0xCC
	.DB  0xCA,0x99,0x99,0x94,0x23,0x53,0x3C,0x4B
	.DB  0xF7,0xFF,0xDD,0xE9,0x8D,0x22,0xD1,0x4D
	.DB  0x34,0xE9,0x8B,0x43,0xA5,0x47,0x44,0x54
	.DB  0x35,0x43,0x74,0x3C,0x33,0xE3,0x49,0x56
	.DB  0xC4,0x5E,0x34,0xC2,0x2D,0x33,0xF8,0x6F
	.DB  0x96,0xE9,0x5D,0xB6,0xBA,0x5A,0x96,0xAA
	.DB  0x65,0x53,0x45,0x43,0x45,0x56,0x74,0x44
	.DB  0x55,0x55,0x56,0x55,0x66,0x67,0x66,0x76
	.DB  0x67,0x66,0x76,0x67,0x66,0x76,0x67,0x66
	.DB  0x76,0x67,0x55,0x54,0x43,0x66,0x66,0x66
	.DB  0x66,0x66,0x67,0x66,0x76,0x67,0x55,0x66
	.DB  0x67,0x66,0x76,0x56,0x66,0x66,0x66,0x66
	.DB  0x65,0x56,0x55,0x65,0x56,0x55,0x65,0x56
	.DB  0x55,0x55,0x55,0x45,0x56,0x76,0x44,0x55
	.DB  0x55,0x56,0x56,0x75,0x55,0x54,0x45,0x45
	.DB  0x54,0x44,0x44,0x54,0x45,0x44,0x54,0x45
	.DB  0x44,0x54,0x45,0x44,0x44,0x45,0x44,0x44
	.DB  0x44,0x44,0x44,0x44,0x43,0x43,0x34,0x43
	.DB  0x44,0x34,0x43,0x44,0x34,0x43,0x44,0x34
	.DB  0x43,0x44,0x34,0x54,0x54,0x34,0x43,0x44
	.DB  0x34,0x54,0x55,0x45,0x43,0x44,0x33,0x33
	.DB  0x33,0x33,0x33,0x33,0x23,0x32,0x33,0x23
	.DB  0x33,0x34,0x45,0x32,0x33,0x23,0x32,0x33
	.DB  0x23,0x32,0x33,0x23,0x32,0x32,0x12,0x21
	.DB  0x32,0x12,0x21,0x22,0x23,0x22,0x32,0x12
	.DB  0xDD,0xED,0xDE,0xED,0xFD,0xDE,0xDD,0xED
	.DB  0xDE,0xEE,0xFE,0xDF,0xEE,0xFE,0xEF,0xDC
	.DB  0xD7,0x88,0x65,0x5A,0x77,0xC9,0x9B,0xBC
	.DB  0xB9,0xAA,0x77,0x82,0x27,0x0,0x80,0x9
	.DB  0x0,0xA0,0xA,0x0,0x90,0x8,0x0,0x60
	.DB  0x7,0x1,0x96,0x6C,0xAB,0xDC,0xDC,0xBB
	.DB  0xA8,0x8D,0xCC,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xDD,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCF,0xDE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFE,0xFE,0xEF,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xFC,0xBB,0x84,0x39,0x33
	.DB  0xB2,0x2D,0x11,0xFB,0xCF,0xEF,0xFF,0xFE
	.DB  0xEF,0x77,0x75,0x55,0x66,0x6B,0xAA,0x12
	.DB  0x15,0x55,0x76,0x67,0x47,0x73,0x79,0x29
	.DB  0xD6,0xCD,0xBA,0xED,0xCF,0xA8,0xE5,0x4E
	.DB  0x12,0xE2,0x2E,0x33,0xC4,0x4B,0x54,0xB5
	.DB  0x5B,0x55,0xA4,0x3D,0x22,0xF4,0x49,0x34
	.DB  0xD3,0x3F,0x56,0xE6,0x7F,0x56,0xF6,0x4E
	.DB  0x64,0xD5,0x3F,0xC6,0xC9,0x5A,0x76,0xCB
	.DB  0xAB,0xBA,0x76,0x67,0x66,0x43,0x46,0x67
	.DB  0x55,0x65,0x56,0x56,0x76,0x67,0x66,0x76
	.DB  0x77,0x66,0x76,0x67,0x66,0x76,0x67,0x66
	.DB  0x85,0x55,0x55,0x56,0x66,0x45,0x56,0x56
	.DB  0x76,0x76,0x67,0x66,0x76,0x67,0x66,0x76
	.DB  0x66,0x66,0x66,0x66,0x66,0x65,0x56,0x55
	.DB  0x65,0x56,0x55,0x65,0x56,0x55,0x65,0x55
	.DB  0x55,0x55,0x65,0x56,0x55,0x65,0x45,0x44
	.DB  0x54,0x56,0x44,0x54,0x45,0x44,0x45,0x44
	.DB  0x55,0x55,0x44,0x44,0x45,0x44,0x54,0x44
	.DB  0x44,0x54,0x45,0x44,0x54,0x44,0x44,0x44
	.DB  0x44,0x44,0x44,0x44,0x43,0x44,0x44,0x43
	.DB  0x44,0x34,0x43,0x45,0x45,0x43,0x44,0x34
	.DB  0x43,0x44,0x34,0x43,0x44,0x34,0x43,0x44
	.DB  0x34,0x43,0x44,0x34,0x43,0x43,0x33,0x43
	.DB  0x44,0x34,0x32,0x33,0x23,0x32,0x33,0x23
	.DB  0x32,0x33,0x23,0x32,0x34,0x23,0x32,0x33
	.DB  0x23,0x32,0x33,0x23,0x22,0x32,0x13,0x22
	.DB  0x33,0x23,0x32,0x32,0x12,0x22,0x32,0x12
	.DB  0xDD,0xEE,0xDF,0xEE,0xFD,0xDE,0xDD,0xEE
	.DB  0xEF,0xDD,0xFD,0xDE,0xEE,0xFE,0xEF,0xDD
	.DB  0xE8,0x88,0x76,0x6A,0x77,0xB8,0x8D,0xDD
	.DB  0xA6,0x75,0x0,0x50,0x7,0x0,0x80,0x9
	.DB  0x0,0xA0,0xA,0x0,0xA0,0x9,0x0,0x80
	.DB  0x5,0x0,0x30,0x7,0x44,0xEE,0xEB,0xAB
	.DB  0x10,0x8,0x66,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xED,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBD,0xDB,0xCE,0xDE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFE,0xFE,0xEF,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xEC,0xBB,0x84,0x49,0x32
	.DB  0xC2,0x2D,0x0,0xFA,0xBE,0xDF,0xDD,0xCC
	.DB  0xBC,0x77,0x97,0x77,0x66,0x6B,0xBB,0x99
	.DB  0x97,0x77,0xAA,0xA8,0x48,0xA3,0xBD,0x3D
	.DB  0xE4,0xDD,0x9B,0xC9,0x9E,0xA8,0xE6,0x6E
	.DB  0x54,0xF5,0x4E,0x22,0xE2,0x2E,0x43,0xE5
	.DB  0x5F,0x56,0xF4,0x4F,0x22,0xF5,0x5E,0x44
	.DB  0xF4,0x4F,0x56,0xD6,0x6C,0x66,0xE8,0x6D
	.DB  0x74,0xD6,0x3B,0x41,0xC6,0x4C,0x88,0xA8
	.DB  0x79,0x65,0x95,0x59,0x66,0x75,0x67,0x67
	.DB  0x66,0x75,0x67,0x66,0x76,0x67,0x56,0x77
	.DB  0x76,0x77,0x76,0x67,0x66,0x76,0x67,0x66
	.DB  0x76,0x66,0x66,0x65,0x56,0x65,0x66,0x56
	.DB  0x66,0x76,0x67,0x66,0x76,0x67,0x66,0x76
	.DB  0x66,0x66,0x66,0x56,0x56,0x65,0x56,0x55
	.DB  0x66,0x66,0x55,0x65,0x55,0x55,0x55,0x55
	.DB  0x55,0x54,0x55,0x45,0x54,0x54,0x55,0x44
	.DB  0x53,0x34,0x34,0x54,0x55,0x54,0x44,0x44
	.DB  0x44,0x44,0x44,0x44,0x45,0x45,0x55,0x55
	.DB  0x44,0x44,0x45,0x44,0x54,0x44,0x44,0x44
	.DB  0x44,0x44,0x44,0x44,0x43,0x45,0x45,0x44
	.DB  0x44,0x34,0x43,0x44,0x34,0x43,0x44,0x34
	.DB  0x43,0x44,0x34,0x43,0x44,0x34,0x43,0x44
	.DB  0x34,0x43,0x44,0x34,0x43,0x44,0x33,0x43
	.DB  0x45,0x45,0x43,0x43,0x23,0x32,0x33,0x23
	.DB  0x32,0x33,0x23,0x32,0x34,0x23,0x32,0x33
	.DB  0x23,0x32,0x33,0x23,0x32,0x33,0x23,0x21
	.DB  0x23,0x23,0x32,0x33,0x23,0x21,0x22,0x13
	.DB  0xEE,0xFD,0xDE,0xDD,0xFD,0xDE,0xDD,0xED
	.DB  0xDE,0xEE,0xFD,0xDE,0xED,0xFE,0xEF,0xDC
	.DB  0xE8,0x88,0x65,0x5A,0x77,0xDA,0xA8,0x89
	.DB  0x88,0x9B,0xBC,0xDC,0xCC,0xBB,0xC9,0xAC
	.DB  0x88,0xB7,0x8C,0x77,0xC7,0x7B,0x78,0xC9
	.DB  0x9D,0xCC,0xFE,0xED,0xDE,0x99,0xA9,0x89
	.DB  0xEE,0xEF,0xEF,0xFE,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xED,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBD,0xDB,0xCE,0xDE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFE,0xFE,0xEF,0xED,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDD,0x85,0x57,0x21
	.DB  0xC2,0x2C,0x0,0xF6,0x7E,0x9A,0xFD,0xDA
	.DB  0x8B,0x65,0xA4,0x36,0xBA,0xC9,0x99,0x88
	.DB  0x8A,0xAA,0xAB,0xA6,0x57,0x71,0x8A,0x2B
	.DB  0x92,0x7C,0x6A,0xE7,0xAE,0x66,0xC3,0x3C
	.DB  0x55,0xB4,0x4D,0x45,0xF5,0x4E,0x11,0xE2
	.DB  0x1F,0x22,0xF2,0x2F,0x22,0xF5,0x5F,0x66
	.DB  0xF4,0x5F,0x66,0xD7,0x68,0x44,0x74,0x39
	.DB  0x63,0xEB,0x6D,0x84,0xB5,0x39,0x43,0xC7
	.DB  0x6D,0x65,0xD5,0x5D,0x67,0xB6,0x6C,0xAB
	.DB  0x97,0x87,0x78,0x77,0x76,0x67,0x56,0x56
	.DB  0x76,0x66,0x66,0x67,0x66,0x76,0x67,0x65
	.DB  0x65,0x55,0x45,0x55,0x56,0x66,0x66,0x66
	.DB  0x66,0x66,0x67,0x66,0x76,0x66,0x66,0x66
	.DB  0x66,0x66,0x66,0x66,0x66,0x66,0x66,0x55
	.DB  0x66,0x65,0x44,0x45,0x55,0x55,0x54,0x54
	.DB  0x45,0x44,0x54,0x45,0x34,0x53,0x45,0x34
	.DB  0x53,0x45,0x44,0x54,0x44,0x34,0x44,0x44
	.DB  0x44,0x45,0x44,0x54,0x44,0x45,0x44,0x44
	.DB  0x44,0x44,0x45,0x44,0x54,0x44,0x44,0x54
	.DB  0x45,0x44,0x44,0x34,0x43,0x44,0x34,0x43
	.DB  0x44,0x34,0x44,0x44,0x34,0x43,0x44,0x34
	.DB  0x43,0x44,0x34,0x43,0x44,0x34,0x43,0x44
	.DB  0x34,0x43,0x44,0x34,0x43,0x44,0x33,0x33
	.DB  0x34,0x33,0x43,0x34,0x33,0x33,0x33,0x23
	.DB  0x32,0x33,0x23,0x43,0x34,0x23,0x32,0x33
	.DB  0x23,0x32,0x33,0x23,0x32,0x32,0x23,0x22
	.DB  0x32,0x12,0x32,0x32,0x23,0x21,0x32,0x23
	.DB  0xDD,0xEE,0xDF,0xDD,0xEE,0xEF,0xDD,0xEE
	.DB  0xDF,0xED,0xFD,0xDE,0xEE,0xFD,0xDE,0xCC
	.DB  0xD8,0x88,0x76,0x69,0x66,0xB8,0x8D,0xDF
	.DB  0xCC,0xDB,0xBC,0xAA,0xBA,0xAB,0x99,0xA9
	.DB  0x9A,0x99,0xAA,0xAB,0xAB,0xBB,0xBC,0xBB
	.DB  0xCC,0xCD,0xDD,0xEE,0xEE,0xEE,0xED,0xCD
	.DB  0xDD,0xDF,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xED,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFE,0xFF,0xEF,0xED,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xEE,0xEF,0x98,0x94,0x0
	.DB  0xA1,0x1C,0x0,0xE4,0x4C,0x44,0xC7,0x7D
	.DB  0xAD,0x65,0xA8,0x8D,0x77,0x9A,0xAA,0xEE
	.DB  0xEA,0xAA,0xDD,0xDE,0xEF,0x75,0x85,0x6
	.DB  0x72,0x6A,0x47,0xB5,0x6C,0x44,0xC4,0x3A
	.DB  0x44,0x93,0x3C,0x44,0xE4,0x4F,0x44,0xF3
	.DB  0x3E,0x11,0xE0,0xF,0x22,0xF4,0x4F,0x44
	.DB  0xF4,0x4E,0x44,0xB4,0x38,0x43,0x64,0x37
	.DB  0x53,0x95,0x2B,0x84,0x97,0x3A,0x64,0xB5
	.DB  0x4D,0x32,0xD1,0x1E,0x66,0xFD,0xEF,0xFF
	.DB  0xC9,0xAD,0xAC,0xB9,0xAA,0x87,0x98,0x66
	.DB  0x65,0x66,0x76,0x67,0x66,0x76,0x56,0x65
	.DB  0x66,0x66,0x66,0x76,0x67,0x66,0x67,0x67
	.DB  0x66,0x76,0x66,0x66,0x66,0x66,0x55,0x56
	.DB  0x66,0x66,0x66,0x65,0x66,0x56,0x56,0x66
	.DB  0x65,0x55,0x55,0x44,0x44,0x45,0x44,0x44
	.DB  0x55,0x44,0x44,0x45,0x43,0x43,0x34,0x23
	.DB  0x43,0x44,0x34,0x44,0x44,0x43,0x33,0x44
	.DB  0x35,0x54,0x56,0x55,0x64,0x44,0x24,0x43
	.DB  0x44,0x44,0x44,0x44,0x54,0x44,0x44,0x44
	.DB  0x44,0x44,0x54,0x44,0x43,0x44,0x44,0x43
	.DB  0x44,0x34,0x43,0x44,0x44,0x43,0x44,0x34
	.DB  0x43,0x45,0x44,0x43,0x45,0x44,0x53,0x44
	.DB  0x34,0x43,0x44,0x34,0x43,0x44,0x34,0x43
	.DB  0x34,0x33,0x43,0x44,0x34,0x42,0x34,0x33
	.DB  0x32,0x33,0x23,0x43,0x43,0x23,0x32,0x33
	.DB  0x23,0x32,0x33,0x23,0x32,0x33,0x23,0x22
	.DB  0x33,0x23,0x32,0x32,0x12,0x32,0x32,0x22
	.DB  0xED,0xFD,0xDE,0xDD,0xED,0xDE,0xDD,0xEE
	.DB  0xDF,0xDD,0xEE,0xEF,0xDD,0xEE,0xEF,0xDD
	.DB  0xE7,0x78,0x65,0x5B,0x88,0xB8,0x9F,0xFF
	.DB  0xFE,0xFE,0xEF,0xCC,0xDC,0xCD,0xCB,0xCD
	.DB  0xAB,0xD9,0x9C,0x88,0xC9,0x9D,0xBB,0xED
	.DB  0xEF,0xFF,0xFF,0xFF,0xEF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xEC,0xED,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFE,0xFF,0xEF,0xED,0xFD
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xFF,0xFA,0x9A
	.DB  0x40,0xA,0x0,0xC1,0x1B,0x65,0xDC,0xB8
	.DB  0x79,0x76,0xA5,0x48,0x99,0xCF,0xEE,0xBB
	.DB  0xCE,0xEF,0xFF,0xFD,0xDE,0xEE,0xFB,0xAC
	.DB  0x43,0x47,0x56,0x96,0x58,0x43,0x95,0x47
	.DB  0x43,0xA4,0x3D,0x43,0xF3,0x3F,0x33,0xF3
	.DB  0x3F,0x33,0xF2,0x2F,0x11,0xF0,0xF,0x11
	.DB  0xF5,0x4F,0x65,0xD6,0x5A,0x43,0xA6,0x57
	.DB  0x44,0x75,0x36,0x41,0xA9,0x46,0x42,0x95
	.DB  0x5D,0x6A,0xF6,0x9C,0x55,0xA4,0x4D,0x89
	.DB  0xE9,0xBF,0xCF,0xEB,0xEE,0xDD,0xEC,0xCB
	.DB  0x98,0x97,0x87,0x67,0x76,0x76,0x55,0x66
	.DB  0x66,0x67,0x66,0x77,0x67,0x76,0x76,0x67
	.DB  0x66,0x66,0x66,0x56,0x55,0x54,0x55,0x45
	.DB  0x53,0x45,0x45,0x65,0x56,0x56,0x66,0x56
	.DB  0x55,0x64,0x55,0x44,0x42,0x56,0x44,0x54
	.DB  0x34,0x33,0x32,0x33,0x33,0x43,0x23,0x23
	.DB  0x32,0x34,0x33,0x32,0x34,0x24,0x44,0x45
	.DB  0x34,0x53,0x44,0x22,0x21,0x33,0x35,0x44
	.DB  0x65,0x55,0x55,0x44,0x44,0x45,0x44,0x54
	.DB  0x45,0x44,0x44,0x44,0x43,0x44,0x44,0x43
	.DB  0x45,0x45,0x43,0x45,0x44,0x54,0x44,0x34
	.DB  0x43,0x45,0x44,0x43,0x44,0x34,0x54,0x45
	.DB  0x45,0x43,0x44,0x34,0x43,0x44,0x34,0x43
	.DB  0x44,0x33,0x43,0x34,0x34,0x43,0x44,0x34
	.DB  0x32,0x34,0x34,0x43,0x43,0x23,0x32,0x33
	.DB  0x23,0x32,0x33,0x23,0x32,0x33,0x23,0x32
	.DB  0x33,0x23,0x21,0x32,0x23,0x22,0x32,0x13
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDF,0xED,0xFE
	.DB  0xEF,0xEE,0xFD,0xDE,0xEE,0xFE,0xDF,0xDD
	.DB  0xE7,0x78,0x87,0x76,0x22,0xA6,0x7F,0xFF
	.DB  0xDD,0xEB,0xBC,0xCC,0xDB,0x88,0x82,0x27
	.DB  0x0,0x60,0x5,0x0,0x50,0x5,0x0,0x50
	.DB  0x8,0x44,0xEC,0xDF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xDF,0xFC,0xED,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCD,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFE,0xFF,0xEF,0xEE,0xFD
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xEE,0xEF
	.DB  0xCC,0xC3,0x10,0x64,0x29,0x98,0xFF,0xFC
	.DB  0xBC,0xDC,0xF4,0x3A,0xAA,0xDD,0xED,0xFF
	.DB  0xFD,0xDE,0xEE,0xFD,0xDE,0xDD,0xEA,0xAB
	.DB  0x45,0x44,0x43,0x54,0x45,0x32,0x53,0x36
	.DB  0x33,0xA5,0x4C,0x34,0xF4,0x4F,0x22,0xF2
	.DB  0x2F,0x33,0xF2,0x2F,0x33,0xF3,0x3F,0x33
	.DB  0xD2,0x1E,0x42,0xE5,0x4C,0x54,0xA5,0x39
	.DB  0x54,0x75,0x47,0x54,0x86,0x46,0x44,0x74
	.DB  0x6D,0x9D,0xFC,0xFC,0xCC,0xFE,0xED,0xAB
	.DB  0xFE,0xEE,0xBE,0xE9,0xEF,0xDF,0xFF,0xFF
	.DB  0xFF,0xB7,0x8B,0x89,0x86,0x77,0x56,0x86
	.DB  0x76,0x56,0x66,0x76,0x67,0x76,0x77,0x67
	.DB  0x44,0x45,0x54,0x55,0x45,0x65,0x45,0x42
	.DB  0x31,0x45,0x44,0x54,0x56,0x45,0x55,0x45
	.DB  0x34,0x53,0x45,0x33,0x42,0x34,0x34,0x44
	.DB  0x44,0x44,0x44,0x44,0x43,0x43,0x23,0x24
	.DB  0x44,0x44,0x44,0x43,0x44,0x34,0x43,0x45
	.DB  0x35,0x53,0x33,0x23,0x32,0x33,0x24,0x43
	.DB  0x44,0x45,0x55,0x44,0x54,0x45,0x44,0x44
	.DB  0x44,0x44,0x44,0x44,0x43,0x46,0x66,0x43
	.DB  0x45,0x45,0x43,0x44,0x34,0x53,0x44,0x34
	.DB  0x54,0x44,0x34,0x54,0x45,0x44,0x43,0x44
	.DB  0x34,0x43,0x44,0x34,0x54,0x54,0x34,0x43
	.DB  0x44,0x34,0x43,0x44,0x34,0x43,0x44,0x33
	.DB  0x32,0x35,0x34,0x42,0x33,0x23,0x42,0x33
	.DB  0x23,0x32,0x33,0x23,0x32,0x33,0x23,0x32
	.DB  0x33,0x23,0x32,0x33,0x23,0x22,0x32,0x13
	.DB  0xDD,0xEE,0xDF,0xED,0xFE,0xEF,0xED,0xFD
	.DB  0xDE,0xDD,0xED,0xDE,0xEE,0xFE,0xEF,0xDC
	.DB  0xD8,0x89,0x87,0x89,0x55,0xCA,0xAD,0xDE
	.DB  0xAA,0xBB,0xAA,0x83,0x35,0x0,0x70,0x9
	.DB  0x44,0xCA,0xAE,0xCC,0xDB,0xCD,0xBC,0xC9
	.DB  0x98,0x44,0x41,0x15,0x11,0xED,0xDF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFE,0xFF,0xEF,0xFC,0xEE,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCD,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xEE,0xFE
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE
	.DB  0xDD,0xE8,0x98,0x23,0x24,0x54,0x88,0x8F
	.DB  0xFF,0xA8,0xC8,0x7D,0x99,0xCD,0xDC,0x88
	.DB  0x9F,0xEF,0xEE,0xFD,0xDE,0xCC,0xD8,0x89
	.DB  0x23,0x32,0x33,0x45,0x43,0x32,0x12,0x13
	.DB  0x22,0x63,0x3E,0x78,0xE6,0x7F,0x56,0xF1
	.DB  0x1F,0x22,0xF2,0x2F,0x44,0xF4,0x4E,0x33
	.DB  0xF5,0x4E,0x32,0xD3,0x2D,0x32,0xE4,0x3B
	.DB  0x43,0x94,0x3A,0x54,0xB5,0x6B,0x69,0xA6
	.DB  0xAD,0xCC,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xEC,0xEF,0xDF,0xFF,0xFE
	.DB  0xDE,0xEC,0xDF,0xEE,0xD7,0x7D,0x77,0xB6
	.DB  0x7B,0x78,0x97,0x88,0x77,0x65,0x63,0x24
	.DB  0x23,0x52,0x34,0x34,0x55,0x57,0x23,0x14
	.DB  0x54,0x45,0x54,0x43,0x56,0x55,0x55,0x34
	.DB  0x32,0x32,0x12,0x12,0x31,0x34,0x33,0x43
	.DB  0x23,0x32,0x32,0x44,0x34,0x44,0x44,0x43
	.DB  0x43,0x44,0x34,0x44,0x44,0x34,0x53,0x44
	.DB  0x44,0x43,0x45,0x45,0x53,0x44,0x34,0x44
	.DB  0x65,0x64,0x45,0x44,0x44,0x45,0x44,0x54
	.DB  0x44,0x44,0x44,0x44,0x44,0x44,0x34,0x54
	.DB  0x54,0x34,0x43,0x44,0x34,0x54,0x45,0x34
	.DB  0x43,0x45,0x45,0x54,0x45,0x34,0x53,0x45
	.DB  0x34,0x53,0x44,0x34,0x43,0x44,0x34,0x43
	.DB  0x44,0x34,0x43,0x44,0x34,0x43,0x44,0x33
	.DB  0x43,0x35,0x34,0x32,0x34,0x23,0x42,0x33
	.DB  0x23,0x32,0x33,0x23,0x32,0x33,0x23,0x32
	.DB  0x33,0x23,0x32,0x32,0x23,0x22,0x32,0x23
	.DB  0xDD,0xED,0xDF,0xDD,0xED,0xDE,0xDD,0xEE
	.DB  0xDF,0xDD,0xED,0xDE,0xEE,0xFE,0xDF,0xCC
	.DB  0xD7,0x78,0x76,0x68,0x33,0xC9,0x99,0xAB
	.DB  0xBA,0xA9,0x22,0x70,0xA,0x45,0xDB,0xBC
	.DB  0xCD,0xAA,0xB8,0x89,0xBA,0xBB,0xAB,0x99
	.DB  0x9A,0xAA,0xA9,0xAA,0x88,0x20,0x8,0x67
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xDF,0xFC,0xEE,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCD,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xEE,0xFE
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xEE,0xEF,0xBB,0xBC,0xBA
	.DB  0x88,0x79,0x99,0x23,0x24,0x54,0x66,0x6C
	.DB  0xCC,0xFD,0xF5,0x4A,0xBA,0xEF,0xFF,0xDD
	.DB  0xDE,0xEF,0xEE,0xFD,0xDE,0x66,0x78,0x89
	.DB  0x33,0x35,0x65,0x23,0x22,0x32,0x22,0x23
	.DB  0x33,0x64,0x5A,0x34,0xF7,0x8F,0x77,0xF3
	.DB  0x3F,0x33,0xF4,0x4F,0x34,0xF5,0x5D,0x33
	.DB  0xD4,0x3E,0x54,0xD4,0x3E,0x54,0xE4,0x3E
	.DB  0x32,0xD4,0x3D,0x44,0xE5,0x5E,0x5A,0xC5
	.DB  0xEE,0xAF,0xFD,0xFE,0xCE,0xFE,0xFE,0xCE
	.DB  0xEE,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFD
	.DB  0xAB,0xFF,0xFC,0x55,0xE4,0x4F,0x89,0xF8
	.DB  0x9E,0x89,0xC8,0x98,0x76,0x44,0x44,0x57
	.DB  0x23,0x82,0x36,0x24,0x53,0x47,0x45,0x76
	.DB  0x66,0x45,0x44,0x43,0x44,0x34,0x43,0x34
	.DB  0x24,0x42,0x33,0x22,0x32,0x22,0x13,0x32
	.DB  0x33,0x33,0x43,0x44,0x34,0x44,0x44,0x44
	.DB  0x44,0x33,0x23,0x42,0x34,0x23,0x43,0x44
	.DB  0x34,0x44,0x44,0x33,0x33,0x44,0x35,0x44
	.DB  0x55,0x55,0x45,0x44,0x54,0x45,0x44,0x54
	.DB  0x44,0x54,0x54,0x45,0x44,0x44,0x44,0x43
	.DB  0x44,0x44,0x43,0x45,0x45,0x65,0x65,0x45
	.DB  0x53,0x44,0x34,0x53,0x45,0x34,0x53,0x45
	.DB  0x34,0x53,0x45,0x34,0x43,0x45,0x34,0x43
	.DB  0x45,0x34,0x43,0x44,0x34,0x43,0x44,0x34
	.DB  0x53,0x44,0x34,0x42,0x34,0x23,0x42,0x33
	.DB  0x23,0x32,0x33,0x23,0x43,0x43,0x23,0x32
	.DB  0x33,0x23,0x32,0x32,0x23,0x22,0x32,0x23
	.DB  0xDD,0xFD,0xDE,0xDD,0xED,0xDE,0xED,0xED
	.DB  0xDF,0xED,0xFD,0xDE,0xEE,0xFE,0xEF,0xDD
	.DB  0xE7,0x78,0x87,0x7B,0x66,0xEB,0xB9,0x99
	.DB  0xB4,0x48,0x0,0xB6,0x6D,0xDD,0xCD,0xEE
	.DB  0xEE,0xCC,0xD9,0x99,0xA6,0x79,0x67,0xFF
	.DB  0xFC,0xCD,0x99,0xA7,0x78,0xCB,0xB6,0x33
	.DB  0x53,0x3E,0xDE,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFC,0xEE,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCD,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xEE,0xFE
	.DB  0xDE,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xFA,0xA9,0x76,0x1C,0xC5
	.DB  0xFF,0xA4,0x43,0x23,0x26,0x65,0xCC,0xCC
	.DB  0xCC,0xFF,0xFA,0x8D,0x43,0xBF,0xFF,0xFF
	.DB  0xFE,0xEF,0xEE,0xFD,0xDE,0xBB,0xC5,0x66
	.DB  0x45,0x45,0x55,0x33,0x31,0x11,0x12,0x11
	.DB  0x22,0x21,0x2A,0x34,0xF5,0x5F,0x77,0xF4
	.DB  0x3F,0x43,0xF3,0x3E,0x33,0xE6,0x5C,0x55
	.DB  0x94,0x3A,0x43,0xA4,0x3D,0x43,0xE3,0x2E
	.DB  0x43,0xE3,0x3E,0x33,0xD4,0x4C,0x13,0xC0
	.DB  0x6E,0x7C,0xFF,0xFF,0xEF,0xFC,0xFF,0xBF
	.DB  0xED,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF
	.DB  0xEF,0xFD,0xED,0x66,0xE8,0x8E,0x77,0xE5
	.DB  0x5F,0x77,0xF9,0x98,0x65,0x44,0x53,0x36
	.DB  0x23,0x91,0x27,0x34,0x55,0x58,0x44,0x61
	.DB  0x21,0x23,0x13,0x42,0x45,0x34,0x32,0x33
	.DB  0x15,0x32,0x53,0x25,0x32,0x52,0x13,0x21
	.DB  0x33,0x23,0x32,0x44,0x33,0x43,0x44,0x44
	.DB  0x43,0x44,0x43,0x43,0x44,0x33,0x43,0x44
	.DB  0x44,0x44,0x44,0x54,0x45,0x44,0x44,0x44
	.DB  0x44,0x45,0x45,0x44,0x54,0x45,0x44,0x44
	.DB  0x44,0x54,0x55,0x45,0x54,0x45,0x44,0x44
	.DB  0x44,0x44,0x53,0x45,0x34,0x43,0x45,0x45
	.DB  0x53,0x45,0x44,0x53,0x45,0x44,0x53,0x45
	.DB  0x34,0x54,0x45,0x34,0x53,0x45,0x34,0x53
	.DB  0x45,0x44,0x53,0x45,0x34,0x53,0x44,0x34
	.DB  0x53,0x44,0x23,0x43,0x34,0x34,0x42,0x34
	.DB  0x23,0x32,0x33,0x23,0x32,0x33,0x23,0x32
	.DB  0x33,0x23,0x32,0x33,0x23,0x32,0x33,0x23
	.DB  0xDD,0xED,0xDE,0xDD,0xFE,0xDF,0xDD,0xED
	.DB  0xDE,0xED,0xFD,0xDE,0xDD,0xEE,0xEF,0xDC
	.DB  0xD8,0x88,0x76,0x68,0x44,0xC8,0x9D,0x88
	.DB  0x90,0xC,0x45,0xED,0xED,0xEE,0xFE,0xFF
	.DB  0xEF,0xCC,0xD9,0x99,0xB9,0x98,0x44,0xFE
	.DB  0xFF,0xFF,0xEE,0xFC,0xCC,0x87,0x8A,0xAA
	.DB  0x86,0x6A,0x88,0xFF,0xFF,0xEF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFD,0xEE,0xBD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCD,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xEE,0xFE
	.DB  0xDF,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xE9,0x87,0x65,0x16,0x64
	.DB  0x66,0x46,0x76,0x22,0x12,0x22,0xAA,0xA9
	.DB  0x9A,0xDD,0xDD,0xCE,0xA9,0xDC,0xCE,0xDD
	.DB  0xFE,0xEF,0xEE,0xFD,0xDF,0xEE,0xF7,0x89
	.DB  0x34,0x44,0x44,0x44,0x41,0x21,0x11,0x13
	.DB  0x11,0x42,0x27,0x22,0xE3,0x3C,0x22,0xD3
	.DB  0x3D,0x44,0xE4,0x5E,0x44,0x95,0x46,0x43
	.DB  0x64,0x35,0x32,0x84,0x3C,0x43,0xD3,0x2F
	.DB  0x43,0xF3,0x3E,0x44,0xE9,0xAE,0xCC,0xE9
	.DB  0x9D,0x66,0xB4,0x4B,0x56,0xEA,0xBF,0xBC
	.DB  0xFF,0xFF,0xFF,0xFE,0xFF,0xEF,0xED,0xEE
	.DB  0xCF,0xFE,0xFF,0xDE,0xEB,0xBE,0x88,0xD4
	.DB  0x4E,0x54,0xB5,0x48,0x66,0x23,0x53,0x47
	.DB  0x24,0x92,0x35,0x22,0x11,0x21,0x23,0x24
	.DB  0x43,0x34,0x34,0x43,0x44,0x34,0x32,0x52
	.DB  0x17,0x32,0xB1,0x1B,0x21,0xB3,0x27,0x21
	.DB  0x43,0x15,0x53,0x34,0x34,0x44,0x44,0x33
	.DB  0x32,0x33,0x24,0x43,0x44,0x43,0x43,0x44
	.DB  0x44,0x45,0x44,0x44,0x45,0x44,0x54,0x45
	.DB  0x54,0x54,0x44,0x54,0x55,0x45,0x44,0x44
	.DB  0x45,0x44,0x46,0x55,0x54,0x54,0x44,0x54
	.DB  0x44,0x34,0x43,0x45,0x34,0x54,0x55,0x45
	.DB  0x54,0x45,0x34,0x53,0x45,0x44,0x53,0x45
	.DB  0x44,0x64,0x55,0x44,0x53,0x45,0x34,0x54
	.DB  0x44,0x34,0x53,0x45,0x34,0x53,0x45,0x34
	.DB  0x53,0x44,0x33,0x43,0x44,0x23,0x42,0x34
	.DB  0x23,0x42,0x34,0x23,0x32,0x33,0x23,0x32
	.DB  0x33,0x23,0x32,0x33,0x23,0x32,0x32,0x23
	.DB  0xDD,0xEE,0xDF,0xDD,0xED,0xDE,0xDD,0xEE
	.DB  0xEF,0xED,0xFE,0xEF,0xEE,0xFE,0xEF,0xDC
	.DB  0xE7,0x78,0x76,0x7A,0x77,0xB3,0x39,0x0
	.DB  0xA0,0x9,0x22,0xA6,0x69,0x55,0x84,0x58
	.DB  0x55,0x84,0x48,0x44,0x82,0x25,0x0,0xBA
	.DB  0xAF,0xFF,0xFE,0xFF,0xEF,0xDC,0xDA,0xAB
	.DB  0xCB,0xCE,0xDE,0xFE,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFD,0xEE,0xCD,0xDB,0xCD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xFE,0xFE
	.DB  0xDF,0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xEA,0x97,0x65,0x14,0x42
	.DB  0x23,0x23,0x33,0x12,0x16,0x65,0x56,0x5C
	.DB  0xCC,0xFF,0xFE,0xDF,0xCB,0xE6,0x6B,0xBA
	.DB  0xDE,0xEE,0xDD,0xD8,0x89,0xBB,0xC8,0x9A
	.DB  0x78,0x94,0x44,0x43,0x30,0x0,0x32,0x27
	.DB  0x33,0x52,0x29,0x33,0xB2,0x2D,0x44,0xB2
	.DB  0x28,0x34,0x64,0x58,0x45,0x65,0x53,0x33
	.DB  0x33,0x24,0x32,0x84,0x3B,0x32,0xD5,0x5D
	.DB  0x43,0xE3,0x2D,0x44,0xFE,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFD,0xEE,0xBC,0xC6,0x7A,0x22
	.DB  0xB5,0x5E,0x99,0xFB,0xCF,0xCE,0xFE,0xFF
	.DB  0xDF,0xEB,0xEF,0xCE,0xFE,0xEE,0xDD,0xEA
	.DB  0xAC,0x66,0x95,0x47,0x66,0x23,0x73,0x47
	.DB  0x34,0x42,0x32,0x34,0x24,0x33,0x87,0x77
	.DB  0x76,0x54,0x36,0x55,0x73,0x25,0x21,0x62
	.DB  0x16,0x21,0x91,0xD,0x32,0xF4,0x4D,0x22
	.DB  0xA3,0x28,0x43,0x44,0x44,0x55,0x44,0x44
	.DB  0x44,0x44,0x33,0x33,0x44,0x44,0x44,0x33
	.DB  0x34,0x44,0x44,0x44,0x44,0x44,0x44,0x44
	.DB  0x44,0x54,0x44,0x54,0x55,0x45,0x54,0x55
	.DB  0x45,0x44,0x45,0x45,0x54,0x54,0x44,0x54
	.DB  0x45,0x45,0x54,0x45,0x44,0x54,0x45,0x44
	.DB  0x54,0x45,0x44,0x54,0x45,0x34,0x64,0x56
	.DB  0x45,0x64,0x55,0x44,0x53,0x46,0x45,0x54
	.DB  0x45,0x34,0x53,0x45,0x34,0x43,0x47,0x56
	.DB  0x53,0x44,0x34,0x43,0x44,0x33,0x42,0x44
	.DB  0x34,0x42,0x34,0x23,0x42,0x33,0x23,0x32
	.DB  0x33,0x23,0x32,0x33,0x23,0x32,0x33,0x23
	.DB  0xDD,0xFD,0xDE,0xDD,0xED,0xDE,0xDD,0xEE
	.DB  0xDF,0xEE,0xFE,0xDF,0xDD,0xEE,0xDF,0xCC
	.DB  0xD7,0x78,0x76,0x6A,0x66,0xC7,0x7C,0x9A
	.DB  0xB9,0x9B,0x88,0xA7,0x79,0x77,0x96,0x68
	.DB  0x56,0x85,0x59,0x55,0x85,0x57,0x44,0xA9
	.DB  0x9F,0xFF,0xFE,0xFF,0xFF,0xFF,0xFE,0xEF
	.DB  0xEE,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFD,0xEE,0xCD,0xDB,0xDD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCE,0xFE,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xFE,0xFE
	.DB  0xDF,0xED,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xEE,0xFA,0xA9,0x65,0x17,0x74
	.DB  0x44,0x34,0x54,0x12,0x16,0x65,0x0,0x9
	.DB  0xAA,0xEE,0xEF,0xFF,0xDC,0xE7,0x7A,0xCC
	.DB  0xDF,0xFF,0xEE,0xF7,0x77,0x44,0x45,0x56
	.DB  0x89,0xA4,0x44,0x44,0x41,0x11,0x52,0x27
	.DB  0x12,0xB3,0x3E,0x23,0xA1,0x19,0x21,0xA1
	.DB  0x19,0x12,0x43,0x43,0x44,0x44,0x42,0x33
	.DB  0x33,0x22,0x21,0x84,0x39,0x22,0x93,0x2B
	.DB  0x43,0xC3,0x2E,0x66,0xFD,0xEF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFD,0xFF,0xEF,0xFF,0xFF,0xCD
	.DB  0xF7,0x8D,0x66,0xC5,0x6C,0x55,0xC6,0x7C
	.DB  0x58,0xFD,0xFF,0xCF,0xFF,0xFD,0xBB,0xA7
	.DB  0x68,0x65,0x86,0x65,0x45,0x34,0x72,0x25
	.DB  0x23,0x45,0x67,0x66,0x69,0x87,0xCB,0xB9
	.DB  0x65,0xB8,0x78,0x54,0x63,0x25,0x21,0x81
	.DB  0x19,0x21,0x92,0x2A,0x43,0xC3,0x3E,0x33
	.DB  0xD4,0x49,0x44,0x64,0x35,0x43,0x65,0x45
	.DB  0x44,0x44,0x35,0x55,0x55,0x54,0x44,0x77
	.DB  0x86,0x66,0xCB,0xC7,0x78,0xA9,0xA6,0x66
	.DB  0x87,0x85,0x55,0x55,0x54,0x44,0x54,0x55
	.DB  0x45,0x54,0x55,0x45,0x54,0x54,0x44,0x54
	.DB  0x46,0x55,0x54,0x45,0x45,0x53,0x45,0x44
	.DB  0x54,0x46,0x45,0x53,0x45,0x44,0x64,0x56
	.DB  0x44,0x64,0x46,0x45,0x53,0x46,0x45,0x54
	.DB  0x45,0x34,0x53,0x45,0x34,0x53,0x48,0x56
	.DB  0x43,0x45,0x34,0x43,0x44,0x34,0x43,0x34
	.DB  0x33,0x42,0x34,0x34,0x32,0x33,0x23,0x32
	.DB  0x34,0x23,0x32,0x33,0x23,0x43,0x43,0x23
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDF,0xDD,0xED
	.DB  0xDE,0xEE,0xFD,0xDF,0xDD,0xED,0xDE,0xDD
	.DB  0xE7,0x88,0x54,0x4B,0x88,0xCA,0xAA,0xBB
	.DB  0xBB,0xCA,0xBC,0xBB,0xBB,0xBB,0xAA,0xBA
	.DB  0xAB,0xAA,0xBA,0xAB,0xAA,0xAC,0xBC,0xED
	.DB  0xEF,0xEF,0xFF,0xFF,0xEF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFD,0xEE,0xCD,0xDB,0xDD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCE,0xFE,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFE
	.DB  0xEF,0xED,0xFD,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xEE,0xEF,0x98,0x74,0x31
	.DB  0x23,0x12,0x22,0x33,0x23,0x33,0x67,0x6C
	.DB  0xCD,0xEE,0xFE,0xDF,0xEE,0xEA,0xAC,0xA9
	.DB  0xDD,0xDF,0xFF,0xF9,0x9A,0x55,0x52,0x32
	.DB  0x78,0x82,0x22,0x44,0x30,0x0,0x52,0x2D
	.DB  0x34,0xE2,0x3F,0x23,0xA1,0xB,0x32,0xD4
	.DB  0x4B,0x44,0x73,0x43,0x34,0x23,0x23,0x43
	.DB  0x12,0x11,0x10,0x43,0x34,0x22,0x52,0x16
	.DB  0x11,0xA4,0x3F,0xBB,0xFD,0xDF,0xFF,0xED
	.DB  0xEF,0xDF,0xFE,0xFF,0xFF,0xEA,0xAB,0x12
	.DB  0xE3,0x4F,0x78,0xEB,0xBE,0xDD,0xFD,0xDC
	.DB  0x68,0xD9,0xBF,0xDF,0xD9,0xCC,0x88,0xA7
	.DB  0x66,0x54,0x98,0x83,0x33,0x33,0x63,0x37
	.DB  0x23,0x57,0x69,0x97,0x99,0x66,0xFF,0xFB
	.DB  0x32,0xD5,0x4C,0x54,0x83,0x36,0x21,0x61
	.DB  0x7,0x21,0x93,0x2B,0x32,0xA2,0x29,0x22
	.DB  0x73,0x25,0x42,0x75,0x36,0x31,0xD8,0x7A
	.DB  0x44,0x55,0x36,0x76,0x66,0x54,0x43,0xBB
	.DB  0xBC,0xBA,0xBB,0xA9,0x99,0xDD,0xD8,0x88
	.DB  0xCB,0xC9,0x99,0x76,0x78,0x88,0x43,0x45
	.DB  0x44,0x54,0x45,0x44,0x65,0x55,0x54,0x55
	.DB  0x45,0x44,0x54,0x45,0x44,0x54,0x45,0x45
	.DB  0x54,0x56,0x45,0x64,0x56,0x45,0x64,0x56
	.DB  0x44,0x64,0x56,0x45,0x54,0x46,0x45,0x54
	.DB  0x45,0x34,0x64,0x45,0x34,0x64,0x45,0x34
	.DB  0x53,0x45,0x34,0x43,0x44,0x34,0x53,0x44
	.DB  0x33,0x42,0x34,0x23,0x32,0x33,0x23,0x42
	.DB  0x33,0x23,0x32,0x33,0x23,0x42,0x33,0x23
	.DB  0xDD,0xEE,0xDF,0xDD,0xEE,0xEF,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xEE,0xFE,0xEF,0xDC
	.DB  0xE8,0x88,0x76,0x79,0x45,0xB7,0x8E,0xDE
	.DB  0xDC,0xCF,0xEF,0xEF,0xFE,0xEF,0xDD,0xED
	.DB  0xDE,0xEE,0xFD,0xDE,0xED,0xEE,0xDE,0xEE
	.DB  0xFF,0xEF,0xFF,0xFF,0xEF,0xFF,0xFF,0xEF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFD,0xEE,0xCD,0xDB,0xDD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCE,0xCE,0xFE,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFE
	.DB  0xEF,0xED,0xED,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xEC,0xCD,0xCC,0xD6,0x76
	.DB  0x23,0x21,0x20,0x87,0x76,0x65,0x88,0x89
	.DB  0x9A,0xDC,0xE8,0x7C,0xEE,0xEF,0xFF,0x87
	.DB  0xCE,0xDF,0xED,0xEB,0xBB,0x45,0x43,0x43
	.DB  0x67,0x73,0x33,0x43,0x25,0x33,0x61,0x1A
	.DB  0x22,0xF2,0x3F,0x22,0x90,0xE,0x55,0xE5
	.DB  0x59,0x44,0x43,0x43,0x44,0x23,0x33,0x44
	.DB  0x11,0x3,0x32,0x22,0x23,0x21,0x51,0x1D
	.DB  0x44,0xE9,0x9D,0xBC,0xEC,0xEF,0xFF,0xEC
	.DB  0xEF,0xCF,0xFE,0xFF,0xEF,0xEA,0xBD,0x79
	.DB  0xE6,0x8D,0x45,0xC4,0x4F,0xDE,0xDD,0xDF
	.DB  0xFF,0xFC,0xFF,0xCE,0xD8,0x9C,0x76,0xC7
	.DB  0x68,0x54,0x75,0x44,0x42,0x22,0x54,0x37
	.DB  0x64,0x66,0x34,0xA5,0x8C,0x8A,0xEA,0xAE
	.DB  0x43,0xC3,0x2D,0x43,0xB3,0x35,0x21,0x62
	.DB  0x26,0x22,0x72,0x1B,0x33,0x93,0x39,0x32
	.DB  0x63,0x26,0x43,0x85,0x37,0x21,0xB6,0x57
	.DB  0x43,0x54,0x29,0x98,0xDD,0xD8,0x87,0x78
	.DB  0x65,0x53,0x54,0x3B,0xAA,0xFF,0xFB,0xAB
	.DB  0xDC,0xD9,0x88,0xDD,0xD7,0x67,0x65,0x64
	.DB  0x43,0x54,0x45,0x44,0x66,0x45,0x54,0x54
	.DB  0x45,0x45,0x54,0x55,0x44,0x54,0x45,0x45
	.DB  0x64,0x55,0x44,0x74,0x56,0x44,0x64,0x56
	.DB  0x45,0x74,0x56,0x45,0x64,0x56,0x45,0x64
	.DB  0x56,0x45,0x64,0x46,0x44,0x74,0x56,0x44
	.DB  0x53,0x45,0x34,0x53,0x45,0x34,0x53,0x44
	.DB  0x34,0x42,0x34,0x23,0x42,0x34,0x34,0x32
	.DB  0x33,0x23,0x32,0x33,0x23,0x32,0x33,0x23
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDF,0xDD,0xED
	.DB  0xDE,0xDD,0xED,0xDE,0xED,0xEE,0xEF,0xDD
	.DB  0xE8,0x78,0x65,0x5D,0x99,0xDA,0xAC,0x88
	.DB  0x80,0x9,0x22,0x94,0x4B,0x77,0xDB,0xBF
	.DB  0xDE,0xFE,0xFE,0xEF,0xEE,0xFE,0xEF,0xEE
	.DB  0xFF,0xFF,0xFF,0xFF,0xEF,0xFE,0xFF,0xEF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFD,0xFE,0xCE,0xDB,0xDD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCF,0xCE,0xFE,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFE
	.DB  0xEF,0xED,0xFD,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xED,0xDE,0xED,0xE9,0xAA
	.DB  0x24,0x21,0x21,0x44,0x41,0x11,0x44,0x47
	.DB  0x77,0xAA,0xBB,0xAB,0xEE,0xFD,0xBE,0xA9
	.DB  0xDF,0xEF,0xEE,0xEA,0xAA,0x45,0x52,0x33
	.DB  0x23,0x34,0x33,0x22,0x14,0x22,0x92,0x2D
	.DB  0x22,0xF2,0x2E,0x22,0xA2,0x2E,0x89,0xA3
	.DB  0x45,0x34,0x24,0x53,0x33,0x23,0x32,0x33
	.DB  0x22,0x13,0x33,0x42,0x27,0x21,0xA2,0x2E
	.DB  0x11,0xB0,0xE,0xAB,0xB7,0xBA,0x7C,0xEC
	.DB  0xFE,0xCE,0xCA,0xBA,0x89,0xA8,0x98,0x68
	.DB  0x97,0x8C,0x89,0xF9,0xAF,0xCD,0xED,0xEF
	.DB  0xEF,0xFE,0xFE,0xBD,0xD8,0x8D,0x88,0xEA
	.DB  0xAC,0x77,0x95,0x54,0x21,0x63,0x47,0x35
	.DB  0x94,0x5C,0x47,0xD6,0x9F,0x8A,0xE6,0x6F
	.DB  0x54,0xE4,0x3D,0x43,0xB2,0x18,0x32,0x73
	.DB  0x25,0x21,0x83,0x28,0x42,0x84,0x27,0x32
	.DB  0x52,0x17,0x42,0x74,0x27,0x32,0x43,0x22
	.DB  0x31,0x64,0x3E,0xBB,0xFF,0xF9,0x98,0x22
	.DB  0x17,0x76,0xFF,0xFF,0xDF,0xFC,0xFE,0xCF
	.DB  0xDB,0xED,0xBD,0xFF,0xFB,0xAB,0x87,0x87
	.DB  0x66,0x65,0x54,0x43,0x54,0x45,0x43,0x43
	.DB  0x35,0x43,0x54,0x46,0x55,0x65,0x55,0x45
	.DB  0x54,0x56,0x45,0x64,0x57,0x45,0x64,0x56
	.DB  0x45,0x74,0x56,0x45,0x64,0x56,0x45,0x64
	.DB  0x59,0x77,0x63,0x47,0x45,0x74,0x56,0x45
	.DB  0x53,0x45,0x34,0x53,0x45,0x34,0x53,0x44
	.DB  0x34,0x42,0x34,0x23,0x42,0x33,0x23,0x32
	.DB  0x34,0x23,0x42,0x34,0x34,0x32,0x33,0x23
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xDD,0xEE
	.DB  0xEF,0xDD,0xEE,0xEF,0xEE,0xFE,0xEF,0xDC
	.DB  0xD7,0x78,0x86,0x68,0x22,0xB6,0x7D,0x88
	.DB  0x80,0x8,0x0,0x70,0x7,0x0,0x60,0x7
	.DB  0x0,0x80,0x9,0x33,0xB5,0x6C,0x88,0xCA
	.DB  0xAD,0xCC,0xED,0xEF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFD,0xFE,0xCD,0xEB,0xDD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xCF,0xCE,0xFE,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF
	.DB  0xEF,0xED,0xFE,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xEC,0xCD,0xAA,0xBC,0xCC
	.DB  0x33,0x23,0x32,0x33,0x27,0x77,0x88,0x89
	.DB  0xAA,0xBB,0xCC,0xBD,0x99,0xCD,0xCE,0x65
	.DB  0xCC,0xBF,0xEE,0xFF,0xFF,0xAA,0xA5,0x66
	.DB  0x34,0x45,0x44,0x22,0x18,0x43,0xC4,0x4C
	.DB  0x11,0xF2,0x2E,0x44,0xE7,0x7A,0x56,0x63
	.DB  0x44,0x35,0x34,0x53,0x44,0x33,0x31,0x21
	.DB  0x54,0x42,0x22,0x53,0x38,0x22,0x82,0x2C
	.DB  0x22,0xE5,0x5B,0x55,0xC7,0x8D,0xAD,0xEE
	.DB  0xEA,0xAB,0x76,0x86,0x67,0x66,0x76,0x67
	.DB  0x76,0x89,0x78,0xB8,0x9C,0x89,0xEA,0xBD
	.DB  0x8A,0xFC,0xEF,0xCE,0xDA,0xBD,0xBA,0xD9
	.DB  0x8A,0x54,0x84,0x37,0x32,0xB5,0x5D,0x88
	.DB  0xE6,0x7E,0x47,0xE3,0x4F,0x43,0xE4,0x3F
	.DB  0x55,0xF4,0x4D,0x33,0xB3,0x28,0x43,0x95
	.DB  0x49,0x43,0x84,0x26,0x42,0x84,0x37,0x42
	.DB  0x84,0x39,0x43,0x63,0x25,0x32,0x23,0x13
	.DB  0x32,0xA7,0x7C,0x99,0x66,0x55,0x54,0x65
	.DB  0x5F,0xFF,0xEA,0xFD,0x9E,0xC8,0xDD,0xBE
	.DB  0xB9,0xDE,0xDE,0xEB,0xF9,0x8B,0xDC,0xEC
	.DB  0xBB,0xCB,0xB8,0x87,0x54,0x46,0x44,0x65
	.DB  0x55,0x44,0x53,0x36,0x45,0x64,0x56,0x45
	.DB  0x64,0x56,0x45,0x64,0x58,0x56,0x74,0x57
	.DB  0x45,0x85,0x67,0x45,0x75,0x57,0x45,0x64
	.DB  0x56,0x44,0x74,0x57,0x45,0x74,0x56,0x45
	.DB  0x54,0x45,0x34,0x64,0x45,0x34,0x53,0x44
	.DB  0x34,0x43,0x45,0x34,0x42,0x34,0x23,0x42
	.DB  0x34,0x23,0x42,0x33,0x23,0x42,0x34,0x23
	.DB  0xDD,0xED,0xDF,0xDD,0xED,0xDE,0xDD,0xED
	.DB  0xDF,0xDD,0xEE,0xDF,0xED,0xFD,0xDE,0xDC
	.DB  0xD8,0x89,0x97,0x87,0x0,0xB7,0x7B,0xAB
	.DB  0xC9,0x9C,0x99,0xC7,0x7A,0x55,0x92,0x28
	.DB  0x0,0x80,0x9,0x0,0x90,0xA,0x0,0xA0
	.DB  0x9,0x0,0x82,0x28,0x33,0x96,0x6B,0x9A
	.DB  0xDD,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xEF,0xFD,0xFE,0xCE,0xEB,0xDD
	.DB  0xBC,0xDB,0xCD,0xBC,0xDB,0xCD,0xBC,0xDB
	.DB  0xCD,0xBC,0xDB,0xDF,0xCE,0xFE,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF
	.DB  0xEF,0xED,0xFE,0xDE,0xDD,0xED,0xDE,0xDD
	.DB  0xED,0xDE,0xDD,0xE8,0x87,0x55,0x4C,0xCC
	.DB  0x22,0x1A,0x99,0x32,0x2B,0xBB,0xAA,0xBC
	.DB  0xCC,0xEE,0xFE,0xEF,0xBB,0xCF,0xFF,0x43
	.DB  0xBA,0xAD,0xEE,0xEB,0xBB,0x67,0x75,0x66
	.DB  0x33,0x36,0x54,0x53,0x27,0x22,0xC5,0x5E
	.DB  0x45,0xE3,0x2B,0x21,0xF8,0x8C,0x77,0x43
	.DB  0x52,0x35,0x34,0x53,0x45,0x33,0x32,0x21
	.DB  0x33,0x24,0x43,0x12,0x13,0x22,0xA5,0x5F
	.DB  0x45,0xF6,0x79,0x55,0xA7,0xAF,0xEF,0xEE
	.DB  0xE9,0x9A,0x56,0x75,0x67,0x56,0x75,0x67
	.DB  0x66,0x77,0x78,0x87,0x89,0x78,0xB8,0x99
	.DB  0x56,0xEC,0xDB,0x9B,0xB8,0xAE,0xCD,0xA6
	.DB  0x5B,0x77,0x75,0x37,0x32,0xB4,0x3D,0x55
	.DB  0xD2,0x3E,0x23,0xF4,0x3F,0x54,0xF2,0x1E
	.DB  0x32,0xF5,0x5E,0x43,0xA4,0x38,0x53,0x95
	.DB  0x3B,0x55,0x74,0x27,0x53,0x74,0x28,0x43
	.DB  0x95,0x46,0x31,0x64,0x35,0x32,0x43,0x27
	.DB  0x54,0x42,0x13,0x21,0x32,0x3,0x21,0x86
	.DB  0x8B,0x8B,0xDB,0xED,0xBE,0xEC,0xFE,0xCF
	.DB  0xDB,0xEF,0xEF,0xB7,0xDC,0x9E,0xFC,0xFE
	.DB  0xDE,0xDD,0xDC,0xCC,0x54,0x44,0x33,0x64
	.DB  0x56,0x45,0x64,0x55,0x44,0x64,0x56,0x45
	.DB  0x64,0x57,0x56,0x64,0x58,0x56,0x74,0x57
	.DB  0x45,0x85,0x57,0x55,0x74,0x57,0x55,0x74
	.DB  0x57,0x45,0x74,0x57,0x45,0x74,0x56,0x45
	.DB  0x64,0x46,0x44,0x64,0x45,0x34,0x53,0x46
	.DB  0x44,0x53,0x44,0x34,0x42,0x34,0x23,0x42
	.DB  0x34,0x23,0x42,0x34,0x23,0x42,0x33,0x23
	.DB  0xDD,0xED,0xDE,0xDD,0xED,0xDE,0xEE,0xFD
	.DB  0xDE,0xDD,0xFE,0xEF,0xDD,0xED,0xDE,0xDC
	.DB  0xD7,0x78,0x87,0x79,0x44,0xFC,0xCA,0xAB
	.DB  0xAA,0xB9,0x9A,0x99,0xA9,0xAA,0xBA,0xBB
	.DB  0xBC,0xBA,0xAB,0x89,0xC8,0x8C,0x44,0xB0
	.DB  0xB,0x0,0x90,0x6,0x0,0x62,0x27,0x55
	.DB  0xDC,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
	.DB  0xFF,0xFF,0xFF,0xFF
_tbl10_G101:
	.DB  0x10,0x27,0xE8,0x3,0x64,0x0,0xA,0x0
	.DB  0x1,0x0
_tbl16_G101:
	.DB  0x0,0x10,0x0,0x1,0x10,0x0,0x1,0x0

_0x2000060:
	.DB  0x1
_0x2000000:
	.DB  0x2D,0x4E,0x41,0x4E,0x0,0x49,0x4E,0x46
	.DB  0x0

__GLOBAL_INI_TBL:
	.DW  0x01
	.DW  __seed_G100
	.DW  _0x2000060*2

_0xFFFFFFFF:
	.DW  0

__RESET:
	CLI
	CLR  R30
	OUT  EECR,R30

;INTERRUPT VECTORS ARE PLACED
;AT THE START OF FLASH
	LDI  R31,1
	OUT  MCUCR,R31
	OUT  MCUCR,R30
	STS  XMCRB,R30

;DISABLE WATCHDOG
	LDI  R31,0x18
	OUT  WDTCR,R31
	OUT  WDTCR,R30

;CLEAR R2-R14
	LDI  R24,(14-2)+1
	LDI  R26,2
	CLR  R27
__CLEAR_REG:
	ST   X+,R30
	DEC  R24
	BRNE __CLEAR_REG

;CLEAR SRAM
	LDI  R24,LOW(__CLEAR_SRAM_SIZE)
	LDI  R25,HIGH(__CLEAR_SRAM_SIZE)
	LDI  R26,LOW(__SRAM_START)
	LDI  R27,HIGH(__SRAM_START)
__CLEAR_SRAM:
	ST   X+,R30
	SBIW R24,1
	BRNE __CLEAR_SRAM

;GLOBAL VARIABLES INITIALIZATION
	LDI  R30,LOW(__GLOBAL_INI_TBL*2)
	LDI  R31,HIGH(__GLOBAL_INI_TBL*2)
__GLOBAL_INI_NEXT:
	LPM  R24,Z+
	LPM  R25,Z+
	SBIW R24,0
	BREQ __GLOBAL_INI_END
	LPM  R26,Z+
	LPM  R27,Z+
	LPM  R0,Z+
	LPM  R1,Z+
	MOVW R22,R30
	MOVW R30,R0
__GLOBAL_INI_LOOP:
	LPM  R0,Z+
	ST   X+,R0
	SBIW R24,1
	BRNE __GLOBAL_INI_LOOP
	MOVW R30,R22
	RJMP __GLOBAL_INI_NEXT
__GLOBAL_INI_END:

	OUT  RAMPZ,R24

;HARDWARE STACK POINTER INITIALIZATION
	LDI  R30,LOW(__SRAM_END-__HEAP_SIZE)
	OUT  SPL,R30
	LDI  R30,HIGH(__SRAM_END-__HEAP_SIZE)
	OUT  SPH,R30

;DATA STACK POINTER INITIALIZATION
	LDI  R28,LOW(__SRAM_START+__DSTACK_SIZE)
	LDI  R29,HIGH(__SRAM_START+__DSTACK_SIZE)

	JMP  _main

	.ESEG
	.ORG 0

	.DSEG
	.ORG 0x500

	.CSEG
;/*****************************************************
;Chip type               : ATmega128
;Program type            : Application
;AVR Core Clock frequency: 16,000000 MHz
;*****************************************************/
;#include <mega128.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x20
	.EQU __sm_mask=0x1C
	.EQU __sm_powerdown=0x10
	.EQU __sm_powersave=0x18
	.EQU __sm_standby=0x14
	.EQU __sm_ext_standby=0x1C
	.EQU __sm_adc_noise_red=0x08
	.SET power_ctrl_reg=mcucr
	#endif
;#include <delay.h>
;#include <stdlib.h>
;#include "lcd_ls022.h"
;
;void main(void)
; 0000 000C {

	.CSEG
_main:
; 0000 000D 
; 0000 000E PORTA=0x00;DDRA=0x00;PORTB=0x00;DDRB=0x00;PORTC=0x00;DDRC=0xFF;PORTD=0x00;DDRD=0xFF;PORTE=0x00;DDRE=0x00;
	LDI  R30,LOW(0)
	OUT  0x1B,R30
	OUT  0x1A,R30
	OUT  0x18,R30
	OUT  0x17,R30
	OUT  0x15,R30
	LDI  R30,LOW(255)
	OUT  0x14,R30
	LDI  R30,LOW(0)
	OUT  0x12,R30
	LDI  R30,LOW(255)
	OUT  0x11,R30
	LDI  R30,LOW(0)
	OUT  0x3,R30
	OUT  0x2,R30
; 0000 000F PORTF=0x00;DDRF=0x00;PORTG=0x00;DDRG=0x00;ASSR=0x00;TCCR0=0x00;TCNT0=0x00;OCR0=0x00;TCCR1A=0x00;TCCR1B=0x00;
	STS  98,R30
	STS  97,R30
	STS  101,R30
	STS  100,R30
	OUT  0x30,R30
	OUT  0x33,R30
	OUT  0x32,R30
	OUT  0x31,R30
	OUT  0x2F,R30
	OUT  0x2E,R30
; 0000 0010 TCNT1H=0x00;TCNT1L=0x00;ICR1H=0x00;ICR1L=0x00;OCR1AH=0x00;OCR1AL=0x00;OCR1BH=0x00;OCR1BL=0x00;OCR1CH=0x00;
	OUT  0x2D,R30
	OUT  0x2C,R30
	OUT  0x27,R30
	OUT  0x26,R30
	OUT  0x2B,R30
	OUT  0x2A,R30
	OUT  0x29,R30
	OUT  0x28,R30
	STS  121,R30
; 0000 0011 OCR1CL=0x00;TCCR2=0x00;TCNT2=0x00;OCR2=0x00;TCCR3A=0x00;TCCR3B=0x00;TCNT3H=0x00;TCNT3L=0x00;ICR3H=0x00;
	STS  120,R30
	OUT  0x25,R30
	OUT  0x24,R30
	OUT  0x23,R30
	STS  139,R30
	STS  138,R30
	STS  137,R30
	STS  136,R30
	STS  129,R30
; 0000 0012 ICR3L=0x00;OCR3AH=0x00;OCR3AL=0x00;OCR3BH=0x00;OCR3BL=0x00;OCR3CH=0x00;OCR3CL=0x00;EICRA=0x00;EICRB=0x00;
	STS  128,R30
	STS  135,R30
	STS  134,R30
	STS  133,R30
	STS  132,R30
	STS  131,R30
	STS  130,R30
	STS  106,R30
	OUT  0x3A,R30
; 0000 0013 EIMSK=0x00;TIMSK=0x00;ETIMSK=0x00;UCSR0B=0x00;UCSR1B=0x00;ACSR=0x80;SFIOR=0x00;ADCSRA=0x00;SPCR=0x00;TWCR=0x00;
	OUT  0x39,R30
	OUT  0x37,R30
	STS  125,R30
	OUT  0xA,R30
	STS  154,R30
	LDI  R30,LOW(128)
	OUT  0x8,R30
	LDI  R30,LOW(0)
	OUT  0x20,R30
	OUT  0x6,R30
	OUT  0xD,R30
	STS  116,R30
; 0000 0014 
; 0000 0015 LCDinit();                           //   
	RCALL _LCDinit
; 0000 0016 //delay_ms(10);
; 0000 0017 LCDclear();                          //   
	RCALL _LCDclear
; 0000 0018 
; 0000 0019 TFT12prnit();
	RCALL _TFT12prnit
; 0000 001A 
; 0000 001B while (1)
_0x3:
; 0000 001C       {
; 0000 001D       // Place your code here
; 0000 001E 
; 0000 001F       }
	RJMP _0x3
; 0000 0020 }
_0x6:
	RJMP _0x6
;#include <mega128.h>
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x20
	.EQU __sm_mask=0x1C
	.EQU __sm_powerdown=0x10
	.EQU __sm_powersave=0x18
	.EQU __sm_standby=0x14
	.EQU __sm_ext_standby=0x1C
	.EQU __sm_adc_noise_red=0x08
	.SET power_ctrl_reg=mcucr
	#endif
;#include <delay.h>
;#include <stdio.h>
;#include <stdlib.h>
;#include "font.h"
;#include "lcd_ls022.h"
;#include "sigma12.h"
;
;#define WR     PORTC.0
;#define DC     PORTC.1
;#define RES    PORTC.2
;#define CS     PORTC.3
;#define DAT    PORTD
;
;#define COMMAND 0
;#define DATA    1
;
;#define RESX    RES
;
;#pragma optsize+
;
;void SendCom (unsigned int com)
; 0001 0017 {

	.CSEG
_SendCom:
; 0001 0018  CS = 0;
	ST   -Y,R27
	ST   -Y,R26
;	com -> Y+0
	CBI  0x15,3
; 0001 0019  DC = 0;
	CBI  0x15,1
; 0001 001A  DAT = com;
	RJMP _0x20A0002
; 0001 001B  WR = 0;
; 0001 001C  WR = 1;
; 0001 001D // DC = 1;
; 0001 001E  CS = 1;
; 0001 001F }
;void SendDat (unsigned int dat)
; 0001 0021 {
_SendDat:
; 0001 0022  CS = 0;
	ST   -Y,R27
	ST   -Y,R26
;	dat -> Y+0
	CBI  0x15,3
; 0001 0023  DC = 1;
	SBI  0x15,1
; 0001 0024  DAT = dat;
_0x20A0002:
	LD   R30,Y
	OUT  0x12,R30
; 0001 0025  WR = 0;
	CBI  0x15,0
; 0001 0026  WR = 1;
	SBI  0x15,0
; 0001 0027  CS = 1;
	SBI  0x15,3
; 0001 0028  }
	ADIW R28,2
	RET
;
;void WriteByte (unsigned int data, unsigned int comdat)
; 0001 002B {
_WriteByte:
; 0001 002C     CS = 0;
	ST   -Y,R27
	ST   -Y,R26
;	data -> Y+2
;	comdat -> Y+0
	CBI  0x15,3
; 0001 002D     if (comdat)
	LD   R30,Y
	LDD  R31,Y+1
	SBIW R30,0
	BREQ _0x20019
; 0001 002E  DC = comdat;  //1
	LD   R30,Y
	CPI  R30,0
	BRNE _0x2001A
	CBI  0x15,1
	RJMP _0x2001B
_0x2001A:
	SBI  0x15,1
_0x2001B:
; 0001 002F     else
	RJMP _0x2001C
_0x20019:
; 0001 0030  DC = comdat;  //0
	LD   R30,Y
	CPI  R30,0
	BRNE _0x2001D
	CBI  0x15,1
	RJMP _0x2001E
_0x2001D:
	SBI  0x15,1
_0x2001E:
; 0001 0031  DAT = data;
_0x2001C:
	LDD  R30,Y+2
	OUT  0x12,R30
; 0001 0032  WR = 0;
	CBI  0x15,0
; 0001 0033  WR = 1;
	SBI  0x15,0
; 0001 0034 // DCX = 1;
; 0001 0035  CS = 1;
	SBI  0x15,3
; 0001 0036 }
	RJMP _0x20A0001
;void LCDinit ()
; 0001 0038 {
_LCDinit:
; 0001 0039   RESX = 0;
	CBI  0x15,2
; 0001 003A   delay_ms(1);
	CALL SUBOPT_0x0
; 0001 003B   RESX = 1;
	SBI  0x15,2
; 0001 003C   delay_ms(5);
	LDI  R26,LOW(5)
	LDI  R27,0
	CALL _delay_ms
; 0001 003D   WriteByte(0x11,COMMAND);       // Sleep Out
	LDI  R30,LOW(17)
	LDI  R31,HIGH(17)
	CALL SUBOPT_0x1
; 0001 003E   WriteByte(0x29,COMMAND);       // Display On
	LDI  R30,LOW(41)
	LDI  R31,HIGH(41)
	CALL SUBOPT_0x1
; 0001 003F   delay_ms(1);
	CALL SUBOPT_0x0
; 0001 0040   WriteByte(0x13,COMMAND);
	LDI  R30,LOW(19)
	LDI  R31,HIGH(19)
	CALL SUBOPT_0x1
; 0001 0041   WriteByte(0x36,COMMAND);       //
	LDI  R30,LOW(54)
	LDI  R31,HIGH(54)
	CALL SUBOPT_0x1
; 0001 0042   WriteByte(0x00,DATA);
	CALL SUBOPT_0x2
; 0001 0043   WriteByte(0x3A,COMMAND);       // Interface Pixel Format
	CALL SUBOPT_0x3
; 0001 0044   WriteByte(0x07,DATA);//  24 Bit mode
	CALL SUBOPT_0x4
; 0001 0045   }
	RET
;
;void LCDclear()
; 0001 0048 {
_LCDclear:
; 0001 0049   //register unsigned long int i;
; 0001 004A   register unsigned int y;
; 0001 004B   register unsigned char x;
; 0001 004C 
; 0001 004D   /*WriteByte(0x2a,COMMAND);
; 0001 004E   WriteByte(0x00,DATA);
; 0001 004F   WriteByte(0x00,DATA);
; 0001 0050   WriteByte(0x00,DATA);
; 0001 0051   WriteByte(239,DATA);
; 0001 0052   WriteByte(0x2b,COMMAND);
; 0001 0053   WriteByte(0x00,DATA);
; 0001 0054   WriteByte(0x00,DATA);
; 0001 0055   WriteByte(1,DATA);
; 0001 0056   WriteByte(63,DATA);*/
; 0001 0057      SendCom(0x2A);
	CALL __SAVELOCR4
;	y -> R16,R17
;	x -> R19
	LDI  R26,LOW(42)
	CALL SUBOPT_0x5
; 0001 0058      SendDat(0);  SendDat(0);    // x1
; 0001 0059      SendDat(0);  SendDat(239);  // x2
	LDI  R26,LOW(0)
	CALL SUBOPT_0x6
	LDI  R26,LOW(239)
	CALL SUBOPT_0x6
; 0001 005A      SendCom(0x2B);
	LDI  R26,LOW(43)
	CALL SUBOPT_0x5
; 0001 005B      SendDat(0);  SendDat(0);    // y1
; 0001 005C      SendDat(1);  SendDat(63);  // y2
	LDI  R26,LOW(1)
	CALL SUBOPT_0x6
	LDI  R26,LOW(63)
	CALL SUBOPT_0x6
; 0001 005D      SendCom(0x2C);
	LDI  R26,LOW(44)
	LDI  R27,0
	RCALL _SendCom
; 0001 005E //  WriteByte(0x2c,COMMAND);
; 0001 005F   CS = 0;
	CBI  0x15,3
; 0001 0060   DC = 1;
	SBI  0x15,1
; 0001 0061   DAT=0;
	LDI  R30,LOW(0)
	OUT  0x12,R30
; 0001 0062 //  i = 320L*240L;
; 0001 0063  for (x=0;x<240;x++)
	LDI  R19,LOW(0)
_0x2002E:
	CPI  R19,240
	BRSH _0x2002F
; 0001 0064  for (y=0;y<320;y++)
	__GETWRN 16,17,0
_0x20031:
	__CPWRN 16,17,320
	BRSH _0x20032
; 0001 0065  {
; 0001 0066   WR=0; WR=1; WR=0; WR=1; WR=0; WR=1;
	CBI  0x15,0
	SBI  0x15,0
	CBI  0x15,0
	SBI  0x15,0
	CBI  0x15,0
	SBI  0x15,0
; 0001 0067 /*  WriteByte(0,DATA);
; 0001 0068   WriteByte(0,DATA);
; 0001 0069   WriteByte(0,DATA);*/
; 0001 006A  }
	__ADDWRN 16,17,1
	RJMP _0x20031
_0x20032:
	SUBI R19,-1
	RJMP _0x2002E
_0x2002F:
; 0001 006B /*  for (i=0;i<7680;i++) {
; 0001 006C   DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 006D   DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 006E   DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 006F   DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0070   DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0071   DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0072   DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0073   DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0074   DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0075   DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0076   }*/
; 0001 0077 
; 0001 0078 
; 0001 0079 /* for (x=0;x<240;x++)
; 0001 007A  for (y=0;y<320;y++)
; 0001 007B  {
; 0001 007C  DAT=255;WR=0; WR=1; DAT=0;WR=0; WR=1; DAT=0;WR=0; WR=1;
; 0001 007D  } */
; 0001 007E /*  for (i=0;i<7680;i++) {
; 0001 007F   DAT=255; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0080   DAT=255; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0081   DAT=255; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0082   DAT=255; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0083   DAT=255; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0084   DAT=255; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0085   DAT=255; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0086   DAT=255; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0087   DAT=255; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0088   DAT=255; WR=0; WR=1; DAT=0; WR=0; WR=1; DAT=0; WR=0; WR=1;
; 0001 0089   }*/
; 0001 008A   CS = 1;
	SBI  0x15,3
; 0001 008B }
	CALL __LOADLOCR4
_0x20A0001:
	ADIW R28,4
	RET
;void lcd_fill_area( unsigned int x1,  unsigned int y1,  unsigned int x2,  unsigned int y2, char color_r, char color_g, char color_b)
; 0001 008D {
; 0001 008E //  register unsigned int y;
; 0001 008F //  register unsigned char x;
; 0001 0090 
; 0001 0091    unsigned int i, total;
; 0001 0092    unsigned int q1,q2,s1,s2;
; 0001 0093 
; 0001 0094 
; 0001 0095    total = (x2-x1+1)*(y2-y1+1);
;	x1 -> Y+21
;	y1 -> Y+19
;	x2 -> Y+17
;	y2 -> Y+15
;	color_r -> Y+14
;	color_g -> Y+13
;	color_b -> Y+12
;	i -> R16,R17
;	total -> R18,R19
;	q1 -> R20,R21
;	q2 -> Y+10
;	s1 -> Y+8
;	s2 -> Y+6
; 0001 0096    if (y1<256) {s1=y1; s2=0;}
; 0001 0097      if (y1>255) {s1=(y1-256); s2=1;}
; 0001 0098      if (y2<256) {q1=y2; q2=0;}
; 0001 0099      if (y2>255) {q1=(y2-256); q2=1;}
; 0001 009A 
; 0001 009B 
; 0001 009C      WriteByte(0x2A,COMMAND);
; 0001 009D      WriteByte(0,DATA);  WriteByte(x1,DATA);    // x1
; 0001 009E      WriteByte(0,DATA);  WriteByte(x2,DATA);    // x2
; 0001 009F      WriteByte(0x2B,COMMAND);
; 0001 00A0      WriteByte(s2,DATA);  WriteByte(s1,DATA);    // y1
; 0001 00A1      WriteByte(q2,DATA);  WriteByte(q1,DATA);  // y2
; 0001 00A2      WriteByte(0x2C,COMMAND);
; 0001 00A3  for (i=0;i<total;i++) {WriteByte(color_r,DATA);WriteByte(color_g,DATA);WriteByte(color_b,DATA);}     // RGB        
; 0001 00A4 }
;
;void LCDchar ( unsigned int x, unsigned int y, char c, char color_r, char color_g, char color_b, char bgcolor_r, char bgcolor_g, char bgcolor_b )
; 0001 00A7 {    char h,ch,p,mask;
; 0001 00A8      unsigned int q1,q2,s1,s2;
; 0001 00A9      if (y<256) {s1=y; s2=0;}
;	x -> Y+21
;	y -> Y+19
;	c -> Y+18
;	color_r -> Y+17
;	color_g -> Y+16
;	color_b -> Y+15
;	bgcolor_r -> Y+14
;	bgcolor_g -> Y+13
;	bgcolor_b -> Y+12
;	h -> R17
;	ch -> R16
;	p -> R19
;	mask -> R18
;	q1 -> R20,R21
;	q2 -> Y+10
;	s1 -> Y+8
;	s2 -> Y+6
; 0001 00AA      if (y>255) {s1=(y-256); s2=1;}
; 0001 00AB      if ((y+14)<256) {q1=(y+14); q2=0;}
; 0001 00AC      if ((y+14)>255) {q1=((y+14)-256); q2=1;}
; 0001 00AD      SendCom(0x2A);
; 0001 00AE      SendDat(0);  SendDat(x);    // x1
; 0001 00AF      SendDat(0);  SendDat(x+7);  // x2
; 0001 00B0      SendCom(0x2B);
; 0001 00B1      SendDat(s2);  SendDat(s1);  // y1
; 0001 00B2      SendDat(q2);  SendDat(q1);  // y2
; 0001 00B3      SendCom(0x2C);
; 0001 00B4 
; 0001 00B5  for (h=0; h<14; h++) // every column of the character
; 0001 00B6   {
; 0001 00B7         ch=font[c][0+h];
; 0001 00B8         mask=0x80;
; 0001 00B9         for (p=0; p<8; p++)  // write the pixels
; 0001 00BA           {
; 0001 00BB           if (ch&mask)
; 0001 00BC             {SendDat(color_r);SendDat(color_g);SendDat(color_b);}
; 0001 00BD            else
; 0001 00BE             {SendDat(bgcolor_r);SendDat(bgcolor_g);SendDat(bgcolor_b);}
; 0001 00BF           mask=mask/2;
; 0001 00C0           }
; 0001 00C1   }
; 0001 00C2 }
;void LCDtext(unsigned int x, unsigned int y, char *str, char color_r, char color_g, char color_b, char bgcolor_r, char bgcolor_g, char bgcolor_b, char m)
; 0001 00C4 {
; 0001 00C5 unsigned char  j=0;
; 0001 00C6   while (j<m)
;	x -> Y+12
;	y -> Y+10
;	*str -> Y+8
;	color_r -> Y+7
;	color_g -> Y+6
;	color_b -> Y+5
;	bgcolor_r -> Y+4
;	bgcolor_g -> Y+3
;	bgcolor_b -> Y+2
;	m -> Y+1
;	j -> R17
; 0001 00C7    {
; 0001 00C8     LCDchar (x+8*j,y,str[j],color_r,color_g,color_b,bgcolor_r,bgcolor_g,bgcolor_b);
; 0001 00C9     j++;
; 0001 00CA    }
; 0001 00CB }
;void LCDchislo(unsigned int x, unsigned int y, int ch, char color_r, char color_g, char color_b, char bgcolor_r, char bgcolor_g, char bgcolor_b)
; 0001 00CD {
; 0001 00CE char buffer[4];
; 0001 00CF   if(ch>999)ch=999;
;	x -> Y+14
;	y -> Y+12
;	ch -> Y+10
;	color_r -> Y+9
;	color_g -> Y+8
;	color_b -> Y+7
;	bgcolor_r -> Y+6
;	bgcolor_g -> Y+5
;	bgcolor_b -> Y+4
;	buffer -> Y+0
; 0001 00D0   itoa(ch, buffer); //   
; 0001 00D1   if(ch<100)
; 0001 00D2   {LCDchar(x+16,y,' ',color_r,color_g,color_b,bgcolor_r,bgcolor_g,bgcolor_b);}
; 0001 00D3   if(ch<10)
; 0001 00D4   {LCDchar(x+8,y,' ',color_r,color_g,color_b,bgcolor_r,bgcolor_g,bgcolor_b);}
; 0001 00D5   LCDtext(x,y,buffer,color_r,color_g,color_b,bgcolor_r,bgcolor_g,bgcolor_b,3);
; 0001 00D6 }
;void LCDpixel (unsigned int x,unsigned int y, char color_r, char color_g, char color_b)
; 0001 00D8 {    unsigned int s1,s2;
; 0001 00D9      if (y<256) {s1=y; s2=0;}
;	x -> Y+9
;	y -> Y+7
;	color_r -> Y+6
;	color_g -> Y+5
;	color_b -> Y+4
;	s1 -> R16,R17
;	s2 -> R18,R19
; 0001 00DA      if (y>255) {s1=(y-256); s2=1;}
; 0001 00DB      WriteByte(0x2A,COMMAND);
; 0001 00DC      WriteByte(0,DATA);  WriteByte(x,DATA);    // x1
; 0001 00DD      WriteByte(0,DATA);  WriteByte(x,DATA);    // x2
; 0001 00DE      WriteByte(0x2B,COMMAND);
; 0001 00DF      WriteByte(s2,DATA);  WriteByte(s1,DATA);  // y1
; 0001 00E0      WriteByte(s2,DATA);  WriteByte(s1,DATA);  // y2
; 0001 00E1      WriteByte(0x2C,COMMAND);
; 0001 00E2      WriteByte(color_r,DATA);WriteByte(color_g,DATA);WriteByte(color_b,DATA);
; 0001 00E3      }
;/*void LCDpixel (unsigned int x,unsigned int y, char color_r, char color_g, char color_b)
;{    unsigned int s1,s2;
;
;     if (x<256) {s1=x; s2=0;}
;     if (x>255) {s1=(x-256); s2=1;}
;     SendCom(0x2A);
;     SendDat(s2);  SendDat(s1);  // x1
;     SendDat(s2);  SendDat(s1);  // x2
;     SendCom(0x2B);
;     SendDat(0);  SendDat(y);    // y1
;     SendDat(0);  SendDat(y);    // y2
;     SendCom(0x2C);
;     SendDat(color_r);SendDat(color_g);SendDat(color_b);
;     }*/
;void LCDline ( int x1, int y1, int x2, int y2, char color_r, char color_g, char color_b )
; 0001 00F3 {   int dx, dy, stepx, stepy, fraction;
; 0001 00F4     dy = y2 - y1;
;	x1 -> Y+19
;	y1 -> Y+17
;	x2 -> Y+15
;	y2 -> Y+13
;	color_r -> Y+12
;	color_g -> Y+11
;	color_b -> Y+10
;	dx -> R16,R17
;	dy -> R18,R19
;	stepx -> R20,R21
;	stepy -> Y+8
;	fraction -> Y+6
; 0001 00F5     dx = x2 - x1;
; 0001 00F6     if ( dy < 0 )
; 0001 00F7     {
; 0001 00F8         dy    = -dy;
; 0001 00F9         stepy = -1;
; 0001 00FA     }
; 0001 00FB     else
; 0001 00FC     {
; 0001 00FD         stepy = 1;
; 0001 00FE     }
; 0001 00FF 
; 0001 0100     if ( dx < 0 )
; 0001 0101     {
; 0001 0102         dx    = -dx;
; 0001 0103         stepx = -1;
; 0001 0104     }
; 0001 0105     else
; 0001 0106     {
; 0001 0107         stepx = 1;
; 0001 0108     }
; 0001 0109     dx <<= 1;
; 0001 010A     dy <<= 1;
; 0001 010B 
; 0001 010C     if ( dx > dy )
; 0001 010D     {
; 0001 010E         fraction = dy - (dx >> 1);
; 0001 010F         while ( x1 != x2 )
; 0001 0110         {
; 0001 0111             if ( fraction >= 0 )
; 0001 0112             {
; 0001 0113                 y1 += stepy;
; 0001 0114                 fraction -= dx;
; 0001 0115             }
; 0001 0116             x1 += stepx;
; 0001 0117             fraction += dy;
; 0001 0118             LCDpixel ( x1, y1, color_r, color_g, color_b);//     
; 0001 0119         }
; 0001 011A     }
; 0001 011B     else
; 0001 011C     {
; 0001 011D         fraction = dx - (dy >> 1);
; 0001 011E         while ( y1 != y2 )
; 0001 011F         {
; 0001 0120             if ( fraction >= 0 )
; 0001 0121             {
; 0001 0122                 x1 += stepx;
; 0001 0123                 fraction -= dy;
; 0001 0124             }
; 0001 0125             y1 += stepy;
; 0001 0126             fraction += dx;
; 0001 0127             LCDpixel ( x1, y1, color_r, color_g, color_b);//     
; 0001 0128         }
; 0001 0129     }
; 0001 012A }
;
;void TFT12prnit( void )
; 0001 012D {
_TFT12prnit:
; 0001 012E   unsigned long int i;
; 0001 012F   unsigned char temp;
; 0001 0130   WriteByte(0x3A,COMMAND);       // Interface Pixel Format
	SBIW R28,4
	ST   -Y,R17
;	i -> Y+1
;	temp -> R17
	CALL SUBOPT_0x3
; 0001 0131   WriteByte(0x03,DATA);//12bit
	LDI  R30,LOW(3)
	LDI  R31,HIGH(3)
	CALL SUBOPT_0x7
; 0001 0132   //unsigned char r,g,b;
; 0001 0133  WriteByte(0x2A,COMMAND);              //   Y 
	LDI  R30,LOW(42)
	LDI  R31,HIGH(42)
	CALL SUBOPT_0x1
; 0001 0134  WriteByte(0,DATA);  WriteByte(0,DATA);    //   Y  (0)
	CALL SUBOPT_0x2
	CALL SUBOPT_0x2
; 0001 0135  WriteByte(0,DATA);  WriteByte(239,DATA);//SendDat(63);   //     Y  (320)
	CALL SUBOPT_0x2
	LDI  R30,LOW(239)
	LDI  R31,HIGH(239)
	CALL SUBOPT_0x7
; 0001 0136 
; 0001 0137  WriteByte(0x2B,COMMAND);              // 
	LDI  R30,LOW(43)
	LDI  R31,HIGH(43)
	CALL SUBOPT_0x1
; 0001 0138  WriteByte(0,DATA);  WriteByte(0,DATA);    //  (0)
	CALL SUBOPT_0x2
	CALL SUBOPT_0x2
; 0001 0139  WriteByte(1,DATA);  WriteByte(63,DATA);  //       (240)
	LDI  R30,LOW(1)
	LDI  R31,HIGH(1)
	CALL SUBOPT_0x7
	LDI  R30,LOW(63)
	LDI  R31,HIGH(63)
	CALL SUBOPT_0x7
; 0001 013A 
; 0001 013B  WriteByte(0x2C,COMMAND);              //    
	LDI  R30,LOW(44)
	LDI  R31,HIGH(44)
	CALL SUBOPT_0x1
; 0001 013C  //for (i=0;i < 320*240*3/2;i++)
; 0001 013D  for (i=0;i <(15L*240L);i++)
	LDI  R30,LOW(0)
	__CLRD1S 1
_0x2006B:
	__GETD2S 1
	__CPD2N 0xE10
	BRSH _0x2006C
; 0001 013E  {
; 0001 013F      temp = name12[i];
	LDD  R30,Y+1
	LDD  R31,Y+1+1
	SUBI R30,LOW(-_name12*2)
	SBCI R31,HIGH(-_name12*2)
	LPM  R17,Z
; 0001 0140      WriteByte(temp,DATA);
	MOV  R30,R17
	LDI  R31,0
	CALL SUBOPT_0x7
; 0001 0141 //     WriteByte(0xf0,DATA);
; 0001 0142 
; 0001 0143  }
	__GETD1S 1
	__SUBD1N -1
	__PUTD1S 1
	RJMP _0x2006B
_0x2006C:
; 0001 0144  WriteByte(0x3A,COMMAND);       // Interface Pixel Format
	CALL SUBOPT_0x3
; 0001 0145   WriteByte(0x07,DATA);//SendDat(0x07); // //  24  
	CALL SUBOPT_0x4
; 0001 0146 }
	LDD  R17,Y+0
	ADIW R28,5
	RET

	.CSEG

	.DSEG

	.CSEG
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x20
	.EQU __sm_mask=0x1C
	.EQU __sm_powerdown=0x10
	.EQU __sm_powersave=0x18
	.EQU __sm_standby=0x14
	.EQU __sm_ext_standby=0x1C
	.EQU __sm_adc_noise_red=0x08
	.SET power_ctrl_reg=mcucr
	#endif

	.CSEG

	.CSEG

	.CSEG

	.CSEG

	.DSEG
__seed_G100:
	.BYTE 0x4

	.CSEG
;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x0:
	LDI  R26,LOW(1)
	LDI  R27,0
	JMP  _delay_ms

;OPTIMIZER ADDED SUBROUTINE, CALLED 10 TIMES, CODE SIZE REDUCTION:51 WORDS
SUBOPT_0x1:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R26,LOW(0)
	LDI  R27,0
	JMP  _WriteByte

;OPTIMIZER ADDED SUBROUTINE, CALLED 6 TIMES, CODE SIZE REDUCTION:37 WORDS
SUBOPT_0x2:
	LDI  R30,LOW(0)
	LDI  R31,HIGH(0)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R26,LOW(1)
	LDI  R27,0
	JMP  _WriteByte

;OPTIMIZER ADDED SUBROUTINE, CALLED 3 TIMES, CODE SIZE REDUCTION:1 WORDS
SUBOPT_0x3:
	LDI  R30,LOW(58)
	LDI  R31,HIGH(58)
	RJMP SUBOPT_0x1

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:5 WORDS
SUBOPT_0x4:
	LDI  R30,LOW(7)
	LDI  R31,HIGH(7)
	ST   -Y,R31
	ST   -Y,R30
	LDI  R26,LOW(1)
	LDI  R27,0
	JMP  _WriteByte

;OPTIMIZER ADDED SUBROUTINE, CALLED 2 TIMES, CODE SIZE REDUCTION:12 WORDS
SUBOPT_0x5:
	LDI  R27,0
	CALL _SendCom
	LDI  R26,LOW(0)
	LDI  R27,0
	CALL _SendDat
	LDI  R26,LOW(0)
	LDI  R27,0
	JMP  _SendDat

;OPTIMIZER ADDED SUBROUTINE, CALLED 4 TIMES, CODE SIZE REDUCTION:6 WORDS
SUBOPT_0x6:
	LDI  R27,0
	JMP  _SendDat

;OPTIMIZER ADDED SUBROUTINE, CALLED 5 TIMES, CODE SIZE REDUCTION:21 WORDS
SUBOPT_0x7:
	ST   -Y,R31
	ST   -Y,R30
	LDI  R26,LOW(1)
	LDI  R27,0
	JMP  _WriteByte


	.CSEG
_delay_ms:
	adiw r26,0
	breq __delay_ms1
__delay_ms0:
	__DELAY_USW 0xFA0
	wdr
	sbiw r26,1
	brne __delay_ms0
__delay_ms1:
	ret

__SAVELOCR4:
	ST   -Y,R19
__SAVELOCR3:
	ST   -Y,R18
__SAVELOCR2:
	ST   -Y,R17
	ST   -Y,R16
	RET

__LOADLOCR4:
	LDD  R19,Y+3
__LOADLOCR3:
	LDD  R18,Y+2
__LOADLOCR2:
	LDD  R17,Y+1
	LD   R16,Y
	RET

;END OF CODE MARKER
__END_OF_CODE:
